Ubuntu

flashplugin-nonfree fails to install due to md5sum mismatch

Reported by Conan on 2007-12-04
528
This bug affects 9 people
Affects Status Importance Assigned to Milestone
synaptic
Invalid
Undecided
Unassigned
flashplugin-nonfree (Baltix)
Undecided
Unassigned
flashplugin-nonfree (Debian)
Fix Released
Unknown
flashplugin-nonfree (Ubuntu)
High
Arie Kurniawan
Dapper
Undecided
Brandon Holtsclaw
Edgy
Undecided
Unassigned
Feisty
Undecided
Brandon Holtsclaw
Gutsy
High
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
High
Unassigned

Bug Description

Binary package hint: flashplugin-nonfree

flashplugin-nonfree package fails to install with the following error:

md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

Could be a new version of flash plugin released for download?

*** IMPORTANT NOTICE ***
The fix for this plugin has been released (let's hope that it will last and adobe won't change the md5sum again)
From the menu:
System -> Administration -> Software sources -> be sure than you have selected the "main", "universe", "restricted" and multiverse".
Then go to the Updates tab -> check "security", "updates" and "proposed"
Now "Close" and "Reload".

after that, do this in the terminal:
sudo apt-get remove --purge flashplugin-nonfree
sudo apt-get install flashplugin-nonfree

*** IMPORTANT NOTICE no.2 ***
For all of you that *STILL* complain, which repositories do you use?
Check if your repositories are up to date: https://launchpad.net/ubuntu/+archivemirrors
Otherwise, try switching to "Download from" -> "Main server" (at system -> administration -> software sources)
Close and Reload.

Then do this in terminal:
sudo apt-get clean
sudo apt-get autoclean
sudo apt-get update
sudo apt-get remove -y --purge flashplugin-nonfree
sudo apt-get install flashplugin-nonfree

If the above don't work, please post your Ubuntu version release and apt-cache policy flashplugin-nonfree info, it will be easier to track down.

Yes, there is a new flash plugin availabe, Flash Player 9 Update 3, Codename "Moviestar".

http://www.adobe.com/aboutadobe/pressroom/pressreleases/200712/120407adobemoviestar.html

The tar.gz for the linux version no longer contains the .xpt file and the md5sums have changed. I attached a patch for the postinst file.

Philipp Kern (pkern) on 2007-12-05
Changed in flashplugin-nonfree:
importance: Undecided → Medium
status: New → Confirmed
Serge (serge-de-souza) on 2007-12-05
Changed in flashplugin-nonfree:
assignee: nobody → motu
Changed in flashplugin-nonfree:
assignee: motu → imbrandon
Changed in flashplugin-nonfree:
status: Confirmed → Fix Released
Dara Adib (daradib) wrote :

Yes, I confirm the above post. The new flash update appears to be 9.0.115.0, if I am correct. The package in the Ubuntu repository is for 9.0.48.0.2. Source: http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_15507

Dara Adib (daradib) wrote :

Source debdiff
Please check it, as I am a bit new to this (I hope I didn't make a mistake).

Dara Adib (daradib) wrote :

Sorry, I did not realize that the status was "Fix Released"

Changed in flashplugin-nonfree:
status: Unknown → Fix Released
Gonzhauser (gonzhauser) wrote :

If the md5sums didn't match, could you make the script ask whether the
user would like to install regardless of the md5sum?

This way I could install a new flash version without waiting for you upgrading
the package.

Thanks.

Dara Adib (daradib) on 2007-12-06
Changed in flashplugin-nonfree:
status: New → Confirmed
Dara Adib (daradib) wrote :

I compared Brandon Holtsclaw's source package (which was uploaded to hardy 18 hours ago- all builds except 64-bit finished) with the modification of the current Gutsy package that I did (debdiff above) and there were no differences (except for debian/changelog). Therefore, there have been no other changes in the new hardy package (which appears to be a second modification on an upstream debian unstable package). I suggest uploading the Hardy source package to a Gutsy repository (such as feisty-updates to start with if not security, etc.).

sputnik (sputnik) wrote :

same problems here. - Would be great if this can be fixed as quick as possible ! :)

This bug is fixed, try to download the new package or wait the update.

http://fr.archive.ubuntu.com/ubuntu/pool/multiverse/f/flashplugin-nonfree/flashplugin-nonfree_9.0.115.0ubuntu2_i386.deb

2007/12/7, sputnik <email address hidden>:
>
> same problems here. - Would be great if this can be fixed as quick as
> possible ! :)
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of the bug.
>

John.Michael.Kane (j.m.k) wrote :

Has this been fixed regarding users of Ubuntu 64bit versions? As currently
the issue of flash not installing is there.

On Dec 7, 2007 11:07 AM, Mathieu Laurent <email address hidden> wrote:

> This bug is fixed, try to download the new package or wait the update.
>
> http://fr.archive.ubuntu.com/ubuntu/pool/multiverse/f/flashplugin-
> nonfree/flashplugin-nonfree_9.0.115.0ubuntu2_i386.deb
>
> 2007/12/7, sputnik <email address hidden>:
> >
> > same problems here. - Would be great if this can be fixed as quick as
> > possible ! :)
> >
> > --
> > flashplugin-nonfree fails to install... new version?
> > https://bugs.launchpad.net/bugs/173890
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Brandon's 64-bit flashplugin-nonfree package has still not started building: https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/9.0.115.0ubuntu2/+build/464327

Information on Brandon's package is available here (you can download the source packages from here): https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/9.0.115.0ubuntu2

If you want to download a binary package, do so here (only 32-bit has been built): http://launchpadlibrarian.net/10761023/flashplugin-nonfree_9.0.115.0ubuntu2_i386.deb

64-bit users currently must compile their own packages using the source packages available at the information on the package (second link).

Nicolas Diogo (nicolasdiogo) wrote :

hello,

would you guys be so kind to give the 64bit users some idea around time to see this package fixed?

many thanks

Bradford Law (bradford-law) wrote :

I would also like to request that the 64 package build be expedited.

B

dogafro (destlund) wrote :

I tried to build it myself but I'm in over my head. I get the following errors:

Now running lintian...
E: flashplugin-nonfree_9.0.115.0ubuntu2_amd64.changes: bad-ubuntu-distribution-in-changes-file hardy
W: flashplugin-nonfree source: unknown-architecture lpia
E: flashplugin-nonfree: prerm-calls-updaterc.d flashplugin-nonfree
E: flashplugin-nonfree: prerm-calls-updaterc.d flashplugin-nonfree
E: flashplugin-nonfree: prerm-calls-updaterc.d flashplugin-nonfree

I could fix the first and second errors with a little work, but the rest don't make any sense to me at all. Any 64 bit devs around?

Matt Darcy (matt-darcy) wrote :

Hi

could someone clarify the status of this bug please.

The bug is marked as fixed released, but in the stable gutsy repo's the checksum is still wrong.

Is this fix released to the proposed repos ? the development repo's ?

I would be greatful of clarification.

thanks.

Dara Adib (daradib) wrote :

I am going to try building the source package on Gutsy 64-bit. It should work, as the package created from the debdiff I made compiled.

Matt- this bug is marked as "Fix Released" because the source package has been uploaded to Hardy (not Gutsy 7.10). The 32-bit package has been built on the Hardy repository, but the 64-bit package has not yet been built. For Gutsy, the bug has been marked as Confirmed, because the source package has still not been uploaded to a Gutsy repository. Read the comment I wrote before on December 6th requesting that the source package be uploaded to a Gutsy 7.10 repository.

If you want an immediate fix, then just download this package (32-bit only) and install it (it is identical to the current package in Hardy): http://launchpadlibrarian.net/10761023/flashplugin-nonfree_9.0.115.0ubuntu2_i386.deb

Alternatively, you can build a binary package from this source package (this is currently necessary if you have 64-bit): http://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/9.0.115.0ubuntu2

Dara Adib (daradib) wrote :

I compiled a 64-bit package (on Gutsy 7.10) successfully using the Brandon Holtsclaw's source package (now in Hardy). It is attached, but I recommend building it yourself (read previous comment) since you should not install a "random" package off the internet.

Dara Adib (daradib) wrote :

In case you don't know how to compile the package yourself (for 64-bit), I am giving you instructions via the command line as these are more straightforward (do these in order, one step at a time).

wget http://launchpadlibrarian.net/10756602/flashplugin-nonfree_9.0.115.0ubuntu2.tar.gz
tar -zxvf flashplugin-nonfree_9.0.115.0ubuntu2.tar.gz
cd flashplugin-nonfree-9.0.115.0ubuntu2
dpkg-buildpackage -b -rfakeroot

The first line downloads the tar.gz file. The second file extracts the downloaded file. The third line changes into the directory created by the extracted file. The fourth line builds a binary package.

Now if you go to Places -> Home you should see a file flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb. Double-click the file and install the package.

The attached package in the above comment is the same as what you created using the above instructions. I recommend that you build the packages yourself, however, because you should exercise caution when downloading a random package (the source package is trusted as it is from an included Hardy source package) since that lets anything be executed that the creator of the package made (and possibly malicious).

Ramos (ramos-a-f) wrote :

I followed the four steps that you adiviced but at the fourth step I got:

alexandre@alexandre-desktop:~/flashplugin-nonfree-9.0.115.0ubuntu2$ dpkg-buildpackage -b -rfakerroot
dpkg-buildpackage: source package is flashplugin-nonfree
dpkg-buildpackage: source version is 9.0.115.0ubuntu2
dpkg-buildpackage: source changed by Brandon Holtsclaw <email address hidden>
dpkg-buildpackage: host architecture amd64
dpkg-buildpackage: source version without epoch 9.0.115.0ubuntu2
dpkg-checkbuilddeps: Unmet build dependencies: debhelper (>= 5) cdbs
dpkg-buildpackage: Build dependencies/conflicts unsatisfied; aborting.
dpkg-buildpackage: (Use -d flag to override.)

Do you have any suggestion on how to fix this? I am a beginner on linux.

thanks,
Alexandre

Hello, I tried to compile the source and I can't get it to work. I'm using Gusty, and it gives me this in Terminal:

h@h-desktop:~/flashplugin-nonfree-9.0.115.0ubuntu2$ dpkg-buildpackage -b -rfakeroot
The program 'dpkg-buildpackage' can be found in the following packages:
 * dpkg-dev
 * dpkg-cross
Try: sudo apt-get install <selected package>
bash: dpkg-buildpackage: command not found

Sorry if there is something wrong in there, but I'm new to linux so please be nice.

battles33 (open-the-third-eye) wrote :

Mr. Cyrus Jones, thank you. i've been trying to figure this stuff out for a couple days after having to reinstall ubuntu because something's been messed up with my mouse (cursor would momemtarily freeze when i hit a key on the keyboard)
anyway
i had the same problem as the above posts
for the people above me, it's a good idea to read the comments spit out by the commands you type into the terminal
in this case, the very last line solves the puzzle
"dpkg-buildpackage: (Use -d flag to override.)"
so, Cyrus' last command will now be modified to become "dpkg-buildpackage -b -rfakeroot -d"
i was also having problems with the -rfakeroot, so i simply took that out and used sudo
so my final command was "sudo dpkg-buildpackage -b -d"

i hit one more bump, something wasn't installed (sorry, i closed that terminal window so i can't copy and paste the problem)
the solution to this one final problem was to download cdbs, found here http://packages.debian.org/sarge/cdbs

download that, run the command "sudo dpkg-buildpackage -b -d" and you should hopefully finally have flash installed

Jan Claeys (janc) wrote :

@battles33: You shouldn't use Debian's CDBS package, it could break on your Ubuntu system. Use ubuntu's CDDB package instead.

Also, @everyone, Brandon more or less promised me to ask for permission to upload this fixed package to gutsy-updates. All non-security-related updates to a released distro-version need special permission, but most developers on IRC agreed that this was a good case for such an exception.

So, don't despair... ;-)

Thanks for the update Jan, and for the fix.

On Dec 9, 2007 6:22 AM, Jan Claeys <email address hidden> wrote:

> @battles33: You shouldn't use Debian's CDBS package, it could break on
> your Ubuntu system. Use ubuntu's CDDB package instead.
>
> Also, @everyone, Brandon more or less promised me to ask for permission
> to upload this fixed package to gutsy-updates. All non-security-related
> updates to a released distro-version need special permission, but most
> developers on IRC agreed that this was a good case for such an
> exception.
>
> So, don't despair... ;-)
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Here is the tail of my output from 'sudo dpkg-buildpackage -b -d' . Still can't get this to work. I am sure I must be missing something simple... :

dh_builddeb -pflashplugin-nonfree
warning, `debian/flashplugin-nonfree/DEBIAN/control' contains user-defined field `Npp-Applications'
warning, `debian/flashplugin-nonfree/DEBIAN/control' contains user-defined field `Npp-Mimetype'
warning, `debian/flashplugin-nonfree/DEBIAN/control' contains user-defined field `Npp-Name'
warning, `debian/flashplugin-nonfree/DEBIAN/control' contains user-defined field `Original-Maintainer'
dpkg-deb: building package `flashplugin-nonfree' in `../flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb'.
dpkg-deb: ignoring 4 warnings about the control file(s)
 dpkg-genchanges -b
dpkg-genchanges: warning: unknown information field 'Xb-Npp-Mimetype' in input data in package's section of control info file
dpkg-genchanges: warning: unknown information field 'Xb-Npp-Applications' in input data in package's section of control info file
dpkg-genchanges: warning: unknown information field 'Xb-Npp-Name' in input data in package's section of control info file
dpkg-genchanges: binary-only upload - not including any source code
 signfile flashplugin-nonfree_9.0.115.0ubuntu2_amd64.changes
gpg: skipped "Brandon Holtsclaw <email address hidden>": secret key not available
gpg: [stdin]: clearsign failed: secret key not available

dpkg-buildpackage: binary only upload (no source included)
(WARNING: Failed to sign .changes file)

Ramos (ramos-a-f) wrote :

I tried the command "sudo dpkg-buildpackage -b -d ", as suggested by battles33, and after downloaded and installed cddb using synaptic, Jan Claeys. I got:

alexandre@alexandre-desktop:~/flashplugin-nonfree-9.0.115.0ubuntu2$ sudo dpkg-buildpackage -b -d
dpkg-buildpackage: source package is flashplugin-nonfree
dpkg-buildpackage: source version is 9.0.115.0ubuntu2
dpkg-buildpackage: source changed by Brandon Holtsclaw <email address hidden>
dpkg-buildpackage: host architecture amd64
dpkg-buildpackage: source version without epoch 9.0.115.0ubuntu2
 debian/rules clean
test -x debian/rules
test "`id -u`" = 0
dh_clean
make: dh_clean: Command not found
make: *** [clean] Error 127

Anyone knows what is going on and how to fix?
Thanks,
Ramos

I can get you to where I am, which is farther than you are, but still short of the goal:

sudo apt-get install build-essential
sudo apt-get install devscripts
sudo apt-get install dh-buildinfo

Then, retry sudo dpkg-buildpackage -b -d, and you'll have the same error I do... ;-)

Dara Adib (daradib) wrote :

Instead of adding the -d option to dpkg-buildpackage you can do the following command before anything else (this installs the required dependencies).

sudo apt-get build-dep flashplugin-nonfree

That downloads and installs all of the dependencies for the flash plugin (including development dependencies).

So the corrected instructions would be:

sudo apt-get build-dep flashplugin-nonfree
wget http://launchpadlibrarian.net/10756602/flashplugin-nonfree_9.0.115.0ubuntu2.tar.gz
tar -zxvf flashplugin-nonfree_9.0.115.0ubuntu2.tar.gz
cd flashplugin-nonfree-9.0.115.0ubuntu2
dpkg-buildpackage -b -rfakeroot

Of course, you could just install the compiled package I built http://launchpadlibrarian.net/10804892/flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb (attached to my December 8th comment), but I just said that you might not consider it good practice to install packages from an untrusted source (especially referring to the Ubuntu Forums malicious code incident)- not that you don't trust me.

Ramos, I believe your issue is that you don't have the appropriate compiling tools installed. The modified instructions I gave should fix your problem, if not, install the package build-essential in Synaptic or via command line (sudo apt-get install build-essential).

Dara Adib (daradib) wrote :

Joe- you don't have a problem. Everything is fine. Just install the binary package you generated (probably in your home directory). You can ignore the warnings. And you don't want a source package (only a binary for installation). You also don't need any GPG keys, as you don't need to verify that Brandon's package is his and sign the package. Everyone will have exactly the same message as you if they do the same instructions (and assuming they haven't added Brandon's GPG keys- which is pointless for building a binary package).

Jan Claeys (janc) wrote :

Folks, this is not a help forum but a bug tracker. I would appreciate it if people could move the package building tutorials to the Ubuntu Forums or such a place. You're flooding the developers with irrelevant mail messages...

(Or just wait until the update goes into the Gutsy repositories of course.)

Cyrus Jones

The link you posted (http://launchpadlibrarian.net/10804892/flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb) worked beautifully. I tried all the other command line fixes and have been at this for nearly 3 hours now at different forums. I know I shouldn't be installing random stuff, but when you start getting desperate and haven't put anything on you system that you don't really care about, then why not take a chance with a stranger I guess....

Anyway, just wanted to say thanks for solving my issue.

Dara Adib (daradib) wrote :

Apologies for the developer irrelevant bug comments. As they really are better suited to a forum, I ask that people go to http://ubuntuforums.org/showthread.php?p=3923465 for non-developer related information and questions/comments on this bug. Thanks Jan Claeys.

Tom Shaw (firephoto) wrote :

The version 9.0.115 of the flash plugin won't work with konqueror because it requires XEmbed. 9.0.48 is the last version that will work which is the default version for gutsy (which this bug was about) but the fix here seems to be to update to 115 but that still will leave Kubuntu broken.

sputnik (sputnik) wrote :

btw. updating to version 9.0.115 of flash will also affect the package opera. The 9.50 Beta 2 of Opera can handle this.

Ramos (ramos-a-f) wrote :

Jan Claeys, apologies, I didn't know this was a developers' forum. Cyrus, thank you for help. Anyway, flash is not working yet. I'm going to a ubuntu forum.

Matt Darcy (matt-darcy) wrote :

Can we please drop the how to compile and trouble shooting personal compiles from this bug report.

there is an official fix made, has the package been distributed to the repo's yet ? it appears not for the 32bit gutsy repo's.

Could we get an official response on the already created fix package rather than trying to teach each other how to compile packages that are already fixed.

Matt it's my understanding that currently users of Ubuntu 64bit are still
affected, and are currently waiting for the package in question to be built,
and uploaded to repos for Gutsy 7.10. This issue may still affect
32bit 7.10users as well, however. I'm not sure on that.

On Dec 11, 2007 8:34 AM, Matt Darcy <email address hidden> wrote:

> Can we please drop the how to compile and trouble shooting personal
> compiles from this bug report.
>
> there is an official fix made, has the package been distributed to the
> repo's yet ? it appears not for the 32bit gutsy repo's.
>
> Could we get an official response on the already created fix package
> rather than trying to teach each other how to compile packages that are
> already fixed.
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

The build works and the package installs on 64 bit Gutsy, but only works on the youtube website. It does not seem to work on any other flash intensive websites such as disney.com, nick.com, etc.

Adobe updated the flash plugin. Due to their license, we must
download and install their file.
This breaks the Gutsy package.
We have TWO choices:

1) Don't update the package and have a broken package that no-one can
use (aside from the more technically minded)
2) Update the package and have a package that everyone can use, except
for konqueror users.

It seems that because we have no control over Adobe, the ball is in
konqueror's court and they need to patch. (If their users plan on
using flash)

A third solution, if possible, would be to see if Adobe keeps older
versions of flash available for download and update the package to
pull that.

-Chris

On Dec 10, 2007 8:36 PM, Tom Shaw <email address hidden> wrote:
> The version 9.0.115 of the flash plugin won't work with konqueror
> because it requires XEmbed. 9.0.48 is the last version that will work
> which is the default version for gutsy (which this bug was about) but
> the fix here seems to be to update to 115 but that still will leave
> Kubuntu broken.
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Vinay Augustine (v) wrote :

> A third solution, if possible, would be to see if Adobe keeps older
> versions of flash available for download and update the package to
> pull that.
>

This would be ideal. At the very least, though, it seems like the
package does the exact wrong thing: on my system, I installed it from
firefox, and the package installed, and silently failed. Removing it
and installing it from the command line told me that flash didn't
install (because of the bad md5 sum), but the .deb *did* install. If
the md5 fails, the whole install should fail.

-V

Gonzhauser (gonzhauser) wrote :

Vinay Augustine schrieb:
>> A third solution, if possible, would be to see if Adobe keeps older
>> versions of flash available for download and update the package to
>> pull that.
>>
>
> This would be ideal. At the very least, though, it seems like the
> package does the exact wrong thing: on my system, I installed it from
> firefox, and the package installed, and silently failed. Removing it
> and installing it from the command line told me that flash didn't
> install (because of the bad md5 sum), but the .deb *did* install. If
> the md5 fails, the whole install should fail.

I sent a patch a while ago to ask the user whether he wants to still
install even if md5sums did not match. Is this acceptable and why not, why?
Here is the patch again.

g

selivanow (selivanow) wrote :

On Dec 11, 2007 11:54 AM, Gonzhauser <email address hidden> wrote:
> Vinay Augustine schrieb:
>
> I sent a patch a while ago to ask the user whether he wants to still
> install even if md5sums did not match. Is this acceptable and why not, why?
> Here is the patch again.
>
>
I believe that would be ok if:

1) The user was notified when using the non-console based managers
2) Users were make aware that it may break things, such as konqueror
(as T. Shaw pointed out.)

Gonzhauser (gonzhauser) wrote :

selivanow schrieb:
> On Dec 11, 2007 11:54 AM, Gonzhauser <email address hidden> wrote:
>> Vinay Augustine schrieb:
>>
>> I sent a patch a while ago to ask the user whether he wants to still
>> install even if md5sums did not match. Is this acceptable and why not, why?
>> Here is the patch again.
>>
>>
> I believe that would be ok if:
>
> 1) The user was notified when using the non-console based managers
> 2) Users were make aware that it may break things, such as konqueror
> (as T. Shaw pointed out.)

Do you know how to notify the user? If you can tell me a devscript
function or similar I would be glad to implement that.

g

The new version of flash is incompatible with Konqueror because it requires XEmbed (Bug 174343). 9.0.48.0 is the last version of flash to support Konqueror in its current state. That could cause problems for an update through the repositories. Some sites, including disney.com and nick.com do not load properly. It would be great if someone tests these sites with an older flash plugin and with Windows Flash 9 Update 3.

Also, there does not seem to be any easy way to download old flash plugin from Adobe's website (not feasible for end users). The only way is through the following archive of flash 9 releases (over 65 MB in size): http://fpdownload.macromedia.com/get/flashplayer/installers/archive/fp9_archive.zip (this includes installers for all supported platforms).

Bug 175255 is also worth taking a note at, as it focuses on packages in general being marked as installed when the md5sum fails. It is especially a problem for non-console based managers.

Matt Darcy (matt-darcy) wrote :

Brandon has a fixed marked, I think we should allow the package to be deployed before disscussing alternatives what ifs and how to's.

The package is broke due to md5 checks. Lets get that bug resolved for this package, close the bug and if appropriate log another bug to details issue with the package for say konqueror compatability as that is not the goal of this bug.

In the same way Bug 175255 details the general issue with md5 checksumming on packages, lets keep this bug clean until resolution.

Changed in flashplugin-nonfree:
status: New → Confirmed
status: New → Confirmed
status: New → Confirmed
Jonathan Riddell (jr) wrote :

Accepted to -proposed, please test

Changed in flashplugin-nonfree:
status: Confirmed → Fix Committed
status: Confirmed → Fix Committed
status: Confirmed → Fix Committed
status: Confirmed → Fix Committed
Tom Shaw (firephoto) wrote :

While this obviously is going to fix the md5 check which technically is the bug here it is also going to break every flash install for people using konqueror that have a working 9.0.48.0.2+really0ubuntu12 version installed when this update reaches them.

This is hardly an issue anyway for the users that the fix helps because firefox can and will download the latest flashplugin and install it on it's own anyway which is what led me here when I discovered that firefox installing the latest flash broke konqueror just like this fix will.

Dara Adib (daradib) wrote :

To the best of my knowledge, flash plugin installation in Firefox in Ubuntu 7.10 uses the package flashplugin-nonfree and therefore suffers from this bug.

I concur with Cyrus on this one, Firefox does download the package flashplugin-nonfree and suffers from the bug as well. Most of the efforts that I have seen on the boards aren't successful with this bug as of yet. I'm going to give it a little bit of time to see what comes out of it. I'm just not skilled enough to "tackle" the bug!

Dara Adib (daradib) wrote :

Information on packages (including build status): https://www.launchpad.net/ubuntu/+source/flashplugin-nonfree/

I am still wondering why the uploaded Hardy flashplugin-nonfree package has still not been built for 64-bit. https://edge.launchpad.net/ubuntu/+source/flashplugin-nonfree/9.0.115.0ubuntu2/+build/464327

The package was uploaded a week ago, but has not yet started building. Is there a lack of 64-bit virtual operating systems to build in Launchpad or a long queue?

You may wish to see http://ubuntuforums.org/showthread.php?t=636397 (updated) for more information on this bug (information, fixing, problems, building from source, compiled packages, etc.).

Tom Shaw (firephoto) wrote :

Maybe on Ubuntu but on Kubuntu I know for a fact that when just firefox is installed (apt-get install firefox) that firefox itself downloads the macromedia flashplugin, if you click the button that you are presented when the plugin is missing, and installs it in $HOME/.mozilla/plugins directory and there is no install of the flashplugin-nonfree.deb initiated.

Dara Adib (daradib) wrote :

Mr. Tom Shaw- I believe that only holds tru for *buntu releases before 7.10. *buntu 7.10 (and I'm assuming later) install via the flashplugin-nonfree package.

Tom Shaw (firephoto) wrote :

This was a Kubuntu 7.10 install done just the other day, updated, then firefox was installed. I had installed the flashplugin-nonfree package and noticed the md5 error message and firefox didn't have a flash plugin visible so it didn't work and the drop down info bar or whatever it's called under the address bar was there for me to click the button. I can't reproduce this now, I only get the url that goes to the macromedia site do download and install so I don't know what allowed me the 'normal' way to get a missing plugin with firefox.

Regardless I still don't think it's proper to update a package and break working systems. Mike Melanson of Adobe seems very receptive on mailing lists so perhaps he could be contacted by the maintainer and help to get a working copy of the flash plugin hosted by Adobe to allow the original package to work again?

On Dec 12, 2007 11:23 PM, Tom Shaw <email address hidden> wrote:

> working systems. Mike Melanson of Adobe seems very receptive on mailing
> lists so perhaps he could be contacted by the maintainer and help to get
> a working copy of the flash plugin hosted by Adobe to allow the original
> package to work again?
>

This would be good, except that Adobe doesn't officially support
anything but r115 and are unlikely to host r48 separately.
What we could do is change the installer to download the entire
fp9_archive.zip file and pull the r48 file from that. I know that
the file is ~65MB but it is a solution that would work. Just don't do
an md5sum on the entire archive since it is likely to change.
(You could use zip to check the integrity of the archive)

Another possibility would be to ask Adobe for an exception to the
distribution clause in the license.....

BTW-

Looking at http://blogs.adobe.com/penguin.swf/ it appears that r115 is
the final release for flash 9 update 3.

-Chris

I was thinking about how long this is taking; maybe there should be two packages:

flashplugin-nonfree the downloader and
flashplugin-nonfree-md5sum as a dependency

the latter could be updated QUICKLY as needed as Adobe changes their version.

BTW... the real solution to bugs like this is either for Adobe to make flash libre or for Gnash (or equivalent libre project) to catch up and take over so that we don't have to jump through hoops every time Adobe dumps a new version onto its servers.

Matt Darcy (matt-darcy) wrote :

I have now tested Brandon's fix on all supported ubuntu platforms.

Brandon - package appears functional at install time.

Some sites have minor issues, but thats down to plugin changes, not the install package.

I'd request this now be moved to release.

Tom Shaw (firephoto) wrote :

>I have now tested Brandon's fix on all supported ubuntu platforms.

>Some sites have minor issues, but thats down to plugin changes, not the install package.

Matt,
This does not work on Konqueror (or the non beta Opera) so I have no idea how you can say there are only minor issues when Konqueror is the default browser for Kubuntu.

Not everyone uses firefox.

I installed this pacakge, pointed the browser to a site with flash, instantly got a crash handler notice and flash isn't working.

Frank Bynum (frankbynum) wrote :

Tom-

Refer to bug 174343 for this issue. This bug is about the flash package failing to install, not the bug in Konqueror that causes a crash with the new non-free flash player.

https://bugs.launchpad.net/ubuntu/+source/nspluginwrapper/+bug/174343

Tom Shaw (firephoto) wrote :

Ok,
I'm very aware of the other bug because THAT is what the problem is with fixing this bug. You are intentionally causing another unnecessary breakage that most likely will never get fixed because it will involve new, untested, and unknown how stable code it can be for the KDE3 series.

Why doesn't someone just admit that no one here cares about breaking konqueror so we can quit trying to keep it working?

It's also disappointing that we can narrow the focus of one bug so the same people don't have to deal with any new problems fixing this or any bug might cause.

atma (oleg-burhay) wrote :

After "sudo apt-get upgrade" I get:
Preparing to replace flashplugin-nonfree 9.0.48.0.2+really0ubuntu12 (using .../flashplugin-nonfree_9.0.115.0ubuntu0.7.10_i386.deb) ...
update-alternatives: unable to remove /etc/alternatives/midbrowser-flashplugin: Inappropriate ioctl for device
dpkg: warning - old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/prerm: 88: cho: not found
dpkg: error processing /var/cache/apt/archives/flashplugin-nonfree_9.0.115.0ubuntu0.7.10_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 127
postinst called with argument `abort-upgrade'
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/flashplugin-nonfree_9.0.115.0ubuntu0.7.10_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

What it is mean?

Well I was able to get it installed perfectly with no issues. Here's my solution, although I don't know if it's going to work for anyone else. Here's what I did . . . http://ubuntuforums.org/showthread.php?p=3938913#post3938913. You'll find one solution, maybe it won't work for everyone but I followed the steps from CJ56 on the bottom of page 1.

Dara Adib (daradib) wrote :

atma- try completely removing the old version of flashplugin-nonfree with the command: sudo apt-get remove --purge flashplugin-nonfree (make sure Firefox or anything else that is using flash is closed). I'm not sure this will work (it might give the same error).

atma (oleg-burhay) wrote :

2 Cyrus Jones
No, I can't remove old version while I don't reinstall it. When I make install/reinstall I get this error. Earlier I make upgrade for this package (9.0.48) when remove all about flashplugin-nonfree in /var/cache/apt/, now it's not working.

atma (oleg-burhay) wrote :

When I manually remove /etc/alternatives/midbrowser-flashplugin all upgraded as well. Thank you

Marco Rodrigues (gothicx) wrote :

Ubuntu Gutsy 32-bit

1- It upgrade without problems.
2- It installed without problems.
3- It runs fine at Firefox 2.0.0.11 after restarted it.

Thanks

Marco Rodrigues (gothicx) wrote :

Ubuntu Gutsy 32-bit

1- It upgrade without problems (Version: 9.0.115.0ubuntu0.7.10).
2- It installed without problems.
3- It runs fine at Firefox 2.0.0.11 after restarted it.

Thanks

David Portwood (dzportwood) wrote :

See bug #175370 I made a backport request for Hardy plugin for Gutsy, it installs, removes, purges, and operates fine.
Thanks,
David P.

Eu-Jin Foo (eujin.foo) wrote :

I'm using 64-bit ubuntu, with a 64-bit system, and also 64 bit Firefox (I think).

here's what Firefox says:
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.11) Gecko/20071204 Ubuntu/7.10 (gutsy) Firefox/2.0.0.11

anyway, i tried doing this:
wget http://launchpadlibrarian.net/10756602/flashplugin-nonfree_9.0.115.0ubuntu2.tar.gz
tar -zxvf flashplugin-nonfree_9.0.115.0ubuntu2.tar.gz
cd flashplugin-nonfree-9.0.115.0ubuntu2
dpkg-buildpackage -b -rfakeroot

but i received an error that looks like this:
h@h-desktop:~/flashplugin-nonfree-9.0.115.0ubuntu2$ dpkg-buildpackage -b -rfakeroot
The program 'dpkg-buildpackage' can be found in the following packages:
 * dpkg-dev
 * dpkg-cross
Try: sudo apt-get install <selected package>
bash: dpkg-buildpackage: command not found

So, i deleted the tar.gz file folder, and the flashplugin folder from my home folder, then i installed Cyrus's package from:
http://launchpadlibrarian.net/10804892/flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb

Flash works now, with no issues. Thanks Cyrus!

I'm new to linux, and this is my first distro.. have no idea what's going on, so i'm just testing solutions one by one. =)

Kaltsi (kaltsi) wrote :
Download full text (3.4 KiB)

I updated the flash plugin.
The plugin doesn't work under Konqueror. (Konqueror 3.5.8 Using KDE 3.5.8)

[KCrash handler]
#6 0xb7b4cfd7 in XtRemoveTimeOut () from /usr/lib/libXt.so.6
#7 0xb5d60db1 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#8 0xb5d56338 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#9 0xb5d4f181 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#10 0xb5d53937 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#11 0x080cace8 in ?? ()
#12 0xbfe43528 in ?? ()
#13 0xbfe434f8 in ?? ()
#14 0xb7aebd81 in operator delete () from /usr/lib/libstdc++.so.6
#15 0x0805b62f in NSPluginInstance::destroy ()
#16 0x0805d78d in NSPluginInstance::~NSPluginInstance ()
#17 0xb7075890 in QGList::remove () from /usr/lib/libqt-mt.so.3
#18 0x0805652f in NSPluginClass::timer ()
#19 0x080565c1 in NSPluginInstance::shutdown ()
#20 0x080593b9 in NSPluginInstanceIface::process ()
#21 0xb726d0d7 in DCOPClient::receive () from /usr/lib/libDCOP.so.4

www.youtube.com

[KCrash handler]
#6 0xb7b6bfd7 in XtRemoveTimeOut () from /usr/lib/libXt.so.6
#7 0xb5d7fdb1 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#8 0xb5d75338 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#9 0xb5d6e181 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#10 0xb5d72937 in ?? ()
   from /usr/lib/mozilla/plugins/flashplugin-alternative.so
#11 0x080cade0 in ?? ()
#12 0xbfe9a588 in ?? ()
#13 0xbfe9a558 in ?? ()
#14 0xb7b0ad81 in operator delete () from /usr/lib/libstdc++.so.6
#15 0x0805b62f in NSPluginInstance::destroy ()
#16 0x0805d78d in NSPluginInstance::~NSPluginInstance ()
#17 0xb7094890 in QGList::remove () from /usr/lib/libqt-mt.so.3
#18 0x0805652f in NSPluginClass::timer ()
#19 0x080565c1 in NSPluginInstance::shutdown ()
#20 0x080593b9 in NSPluginInstanceIface::process ()
#21 0xb728c0d7 in DCOPClient::receive () from /usr/lib/libDCOP.so.4
#22 0xb728d434 in ?? () from /usr/lib/libDCOP.so.4
#23 0x0809f2e0 in ?? ()
#24 0xbfe9a8e4 in ?? ()
#25 0xbfe9a8dc in ?? ()
#26 0xbfe9a8d4 in ?? ()
#27 0xbfe9a8cc in ?? ()
#28 0xbfe9a8c4 in ?? ()
#29 0xbfe9a8bc in ?? ()
#30 0xb7095c3e in QGListIteratorList::remove () from /usr/lib/libqt-mt.so.3
#31 0xb728df55 in ?? () from /usr/lib/libDCOP.so.4
#32 0xbfe9a998 in ?? ()
#33 0x00000001 in ?? ()
#34 0x080ca320 in ?? ()
#35 0xb79416c1 in ?? () from /lib/tls/i686/cmov/libc.so.6
#36 0xb7a1f14c in ?? () from /lib/tls/i686/cmov/libc.so.6
#37 0xb7945800 in free () from /lib/tls/i686/cmov/libc.so.6
#38 0xb729e280 in KDE_IceProcessMessages () from /usr/lib/libDCOP.so.4
#39 0xb72845c3 in DCOPClient::processSocketData () from /usr/lib/libDCOP.so.4
#40 0xb728db59 in DCOPClient::qt_invoke () from /usr/lib/libDCOP.so.4
#41 0xb6d98893 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#42 0xb6d991aa in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#43 0xb7125683 in QSocketNotifier::activated () from /usr/lib/libqt-mt.so.3
#44 0xb6dbb46e in QSocketNotifier::event () from /usr/lib/libqt-mt.so.3
#45 0xb6d2faf0 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#46 0xb6d3191f in QApplicat...

Read more...

Matt Darcy (matt-darcy) wrote :

Guys,

I'm going to attempt to tidy this up and put it to bed a little better.

Please don't take this as a "I don't care about konquer" situation, as thats not the key, kubuntu/konquer are key.

I would request that there is two seperate bugs launched one for working in opera and one for konquer, heck, I'm logging a third myself about some of the bugs in the gnome usability of the flash plugin.

This bug can potentially be closed as it is based around the checksum error that is fixed and it does install.

As you rightly point out there are multiple issues with the actual plugin from adobe and ubuntu compatability which can be addressed seperatly rather than lose track in this bug which isn't actually related to the technical functionality of the plugin

Does that seem sensible to everyone with gripes about the plugin in kubuntu for example.

Dara Adib (daradib) wrote :

Konqueror- Bug 174343
Opera- I don't know. Bug 174209 is the only Opera bug I have seen that has been filed lately.

Matt Darcy (matt-darcy) wrote :

great, so once this package is moved from proposed into main we can close this bug - and focus on resolving the others seperatly.

thank you cyrus

Any idea when this will be moved to main. All our current installs do
not have flash in them.

ok , I'm reopening this task as the fix in -proposed was not good for all and has been removed from the archive ( e.g. FF and Konq and Opera ) I have another fix in the works that will be uploaded to -proposed shortly ( before Wednesday hopefully but dont hold me to this )

Please dont add any more "works for me" or "dosent work for me" comments to this bug for now, untill I upload a new version to proposed.

see this Ubuntu-Devel post for more details on the exact situation and possible solutions ( Development wise, not end user solutions )

https://lists.ubuntu.com/archives/ubuntu-devel/2007-December/024877.html

Changed in flashplugin-nonfree:
assignee: nobody → imbrandon
status: Fix Committed → Confirmed
assignee: nobody → imbrandon
status: Fix Committed → Confirmed
assignee: nobody → imbrandon
status: Fix Committed → Confirmed
assignee: nobody → imbrandon
status: Fix Committed → Confirmed

will try to manually install... the only problem with the package is the wrong md5sum checksum...

Couldn't something be done to not use md5sums in the .deb file? Since we
have no idea when Adobe may change the file, could there be a way to say,
download the file 2 or 3 times and see if the sum is all the same. OR, have
some dedicated machine somewhere that once-a-day downloads and generates the
md5sum, which users can check against?

Just a few ideas.

--
Dave

On 12/17/07, Brandon Holtsclaw <email address hidden> wrote:
>
> ok , I'm reopening this task as the fix in -proposed was not good for
> all and has been removed from the archive ( e.g. FF and Konq and Opera )
> I have another fix in the works that will be uploaded to -proposed
> shortly ( before Wednesday hopefully but dont hold me to this )
>
> Please dont add any more "works for me" or "dosent work for me" comments
> to this bug for now, untill I upload a new version to proposed.
>
> see this Ubuntu-Devel post for more details on the exact situation and
> possible solutions ( Development wise, not end user solutions )
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2007-December/024877.html
>
>
> ** Changed in: flashplugin-nonfree (Ubuntu Dapper)
> Assignee: (unassigned) => Brandon Holtsclaw (imbrandon)
> Status: Fix Committed => Confirmed
>
> ** Changed in: flashplugin-nonfree (Ubuntu Edgy)
> Assignee: (unassigned) => Brandon Holtsclaw (imbrandon)
> Status: Fix Committed => Confirmed
>
> ** Changed in: flashplugin-nonfree (Ubuntu Feisty)
> Assignee: (unassigned) => Brandon Holtsclaw (imbrandon)
> Status: Fix Committed => Confirmed
>
> ** Changed in: flashplugin-nonfree (Ubuntu Gutsy)
> Assignee: (unassigned) => Brandon Holtsclaw (imbrandon)
> Status: Fix Committed => Confirmed
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Is it possible to attach the flashplugin-nonfree_9.0.115.0ubuntu0.7.10_i386.deb package to this report so some folks can at least download and use it? Currently, no working gutsy package is available anywhere, right? I'd like to be able to point users at the link when they run into this bug, with the understanding that it may not work in some cases.

David Walker wrote on 2007-12-17:
> Couldn't something be done to not use md5sums in the .deb file? Since we have
> no idea when Adobe may change the file, could there be a way to say, download
> the file 2 or 3 times and see if the sum is all the same. OR, have some
> dedicated machine somewhere that once-a-day downloads and generates the
> md5sum, which users can check against?

The md5sum check is not only to verify the integrity of the file. It is also to verify the version.

When the version changes, two things need to happen. The package needs to be updated to reflect the version change, so users are notified of the available upgrade. Also, the new version needs to be tested.

If the new version was automagically pushed, everyones flash installations could be broken.

Perhaps a better route would be to ask Adobe to distribute the previous versions of the plugin separately rather than in a massive tarball. If they had each version in a separate, numbered tarball each version of the flash package could point directly to the proper version, and this problem would go away.

GICodeWarrior Couldn't a complete backup of the previous known working
version be keep on a Canonical/Ubuntu server. This way if there is any
problems with this particular package again the user could simply use
aptitude to pull the package from a dedicated Ubuntu server/repo, and not
pull it direct from adobe?

Note: not sure this is possible.

On Dec 19, 2007 4:22 PM, GICodeWarrior <email address hidden> wrote:

> David Walker wrote on 2007-12-17:
> > Couldn't something be done to not use md5sums in the .deb file? Since we
> have
> > no idea when Adobe may change the file, could there be a way to say,
> download
> > the file 2 or 3 times and see if the sum is all the same. OR, have some
> > dedicated machine somewhere that once-a-day downloads and generates the
> > md5sum, which users can check against?
>
> The md5sum check is not only to verify the integrity of the file. It is
> also to verify the version.
>
> When the version changes, two things need to happen. The package needs
> to be updated to reflect the version change, so users are notified of
> the available upgrade. Also, the new version needs to be tested.
>
> If the new version was automagically pushed, everyones flash
> installations could be broken.
>
> Perhaps a better route would be to ask Adobe to distribute the previous
> versions of the plugin separately rather than in a massive tarball. If
> they had each version in a separate, numbered tarball each version of
> the flash package could point directly to the proper version, and this
> problem would go away.
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

On Wed, 2007-12-19 at 21:40 +0000, Bourne wrote:
> GICodeWarrior Couldn't a complete backup of the previous known working
> version be keep on a Canonical/Ubuntu server.

If this were the possible, then the flash plugin binary would just live
inside the package in the repository.

> This way if there is any
> problems with this particular package again the user could simply use
> aptitude to pull the package from a dedicated Ubuntu server/repo, and not
> pull it direct from adobe?
> Note: not sure this is possible.

It's not. Adobe doesn't want flash to be redistributed by third parties.

Adobe ought to keep the history of releases available on their server
rather than overwriting an existing file with a new release....

Please see http://ubuntuforums.org/showthread.php?t=636397 as I have detailed the fix and provided fixed packages. And all of the packages (except for 7.10- I wonder why) are still hosted on the repository server, just not referred to. I have attached built 7.10 packages in that forum thread and backed up the current packages that are still hosted by the repository on to my computer.

Fabián Rodríguez (magicfab) wrote :

Workaround: install the Flash plugin manually from Adobe

1) Clean up any remaining failed install files:
sudo apt-get remove --purge flashplugin-nonfree
2) Get the file directly from Adobe:
wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
3) Close any Firefox windows, extract the files, install:
tar -xzvf install_flash_player_9_linux.tar.gz
cd install_flash_player_9_linux/
./flashplayer-installer
4) Follow instructions

Same instrcutions / file can be obtained from:
http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash

ironstorm (ironstorm-gmail) wrote :

Thanks Cyrus, I installed your random internet package for amd64 and I appear to now have flash in FF... no sound, but that's a different issue altogether I'm sure.

>Fabián Rodríguez
>Workaround: install the Flash plugin manually from Adobe

Your "workaround" doesn't help the 64bit users.

Another option that may be of use is posted here
http://ubuntuforums.org/showthread.php?t=476924

This will install flash on 64bit, and should hold you over till a fix is
posted.

On Dec 24, 2007 5:04 AM, curtlee2002 <email address hidden> wrote:

> >Fabián Rodríguez
> >Workaround: install the Flash plugin manually from Adobe
>
> Your "workaround" doesn't help the 64bit users.
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

guys,

can we please keep the discussion / work around banter on this bug clean as Brandon requested.

Allow me to summerise in the hope that this will stop the banter and keep it clear for the resolution.

1.) The flash package from ubuntu broke due to Adobe changing the CONTENTS of the flash tar ball on their site.
2.) Ubuntu reacted and created an updated deb package for use with the new adobe tar file. This package worked for gnome/firefox users only due to the contents of the adobe tar file no longer containing components needed by konqueror and opera. Due to this only working for Firefox users the proposed fix was withdrawn and a new approach (mentioned in Brandons last post) is being created.

Can we please wait for a fix, update or request for input before coming up with more random work arounds.

The work arounds are this "if your a firefox user you may down load the plugin and install manually - this will technically work for you as a plugin but you may experience issues later in ubuntu life if the ubuntu proposed fix conflicts with your manually installed plugin".

Thats about it at the moment.

Trevor Schauls (trevorschauls) wrote :

Please upload the new package for x64 bit. It is attached here. It would end this bug!

Trevor Schauls (trevorschauls) wrote :

Please upload the new package for x64 bit. It is attached here. It would end this bug!

Eli L (flclfan) wrote :

That file is still buggy! Playing most flash videos for me ended up with flash faulting and dieing after like 3 seconds of playing.

Eli L (flclfan) wrote :

Im getting this erro with the file above:
[ 6610.009861] npviewer.bin[6886]: segfault at 0000000000000010 rip 00000000f7ac8ad4 rsp 00000000f5aa7cd0 error 4

Trevor Schauls (trevorschauls) wrote :

Be sure you are using x64. Then kill the npviewer.bin process and restart firefox.

Richard Burdick (developer-ca) wrote :

I'd term this a workaround, as it gets the current package installed while we wait for a fix.

My preferred solution is to install the current package (which installs r48), instead of these ad-hoc work arounds (that install r115) which may have problems when the package is fixed.

(For instance, r48 is reported to work better than r115, and we know r115 doesn't work at all in Konqueror, so installing r48 is the only thing that will work for Konqueror users. I think we should vet 115 very carefully before committing to it.)

The problem is, the current package downloads r115, which is not what we want, because it is expecting r48. Luckily, the current package has a provision for you to download the r48 version yourself and tell the installer where it is. Adobe has a zip file of all Flash 9 players they've released that you can get the r48 version from (they keep it available for developers to test their flash projects against).

You won't be able to enter the location of the r48 version by default, because Ubuntu's debconf is set to only show questions of priority 'high' or above, and the question about the location of r48 is priority medium. You have to reconfigure debconf to show questions of priority 'medium' first (afterwards you can reset it to 'high'). This is explained below.

The steps I followed were:

I got the Flash 9 archive from here: http://fpdownload.macromedia.com/get/flashplayer/installers/archive/fp9_archive.zip
which I found on this page: http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14266

Unzip the .zip file (use unzip from the command line or file-roller)
Copy the r48 version to /tmp and change it's name to what the installer is expecting at the same time:
 cp fp9_archive/9r48/install_flash_player_9r48_linux.tar.gz /tmp/install_flash_player_9_linux.tar.gz

reconfigure debconf to show medium priority questions:
 sudo dpkg-reconfigure debconf

It will ask 2 questions. The answer to the first should be 'Dialog' (Ubuntu's default). The answer to the second question about priority of questions to show should be 'medium'. (Low also works)

Install flashplugin-nonfree:

You can use apt-get, synaptic or aptitude.

apt-get (command line)
sudo apt-get install flashplugin-nonfree

synaptic - search for flashplugin-nonfree and install it.

aptitude - you probably know how to select a package for installed if you use aptitude.

For any of the methods, debconf should ask you what the location of the downloaded file is. Enter /tmp (Do not enter the filename of the file, just the directory location) and it should install correctly.

If you want, reconfigure debconf to only show you 'high' priority questions again:
 sudo dpkg-reconfigure debconf

I believe downloading the .zip from adobe in the installer is one of the solutions being looked at to fix this bug, but the downside is that the 65M size is quite large for dial-up customers. Not sure what the maintainers solution will be, but this will at least get the current one installed if you can afford the 65M download.

Download full text (3.6 KiB)

Could we not also:

A: Reconfigure the package so that question is high priority

or

B: Reconfigure the package so that it downloads and extracts the
proper flash archive?
(I know that the archive is larger but if you don't have broadband do
you really want flash?)

-Chris

On Jan 3, 2008 1:20 AM, Richard Burdick <email address hidden> wrote:
> I'd term this a workaround, as it gets the current package installed
> while we wait for a fix.
>
> My preferred solution is to install the current package (which installs
> r48), instead of these ad-hoc work arounds (that install r115) which may
> have problems when the package is fixed.
>
> (For instance, r48 is reported to work better than r115, and we know
> r115 doesn't work at all in Konqueror, so installing r48 is the only
> thing that will work for Konqueror users. I think we should vet 115
> very carefully before committing to it.)
>
> The problem is, the current package downloads r115, which is not what we
> want, because it is expecting r48. Luckily, the current package has a
> provision for you to download the r48 version yourself and tell the
> installer where it is. Adobe has a zip file of all Flash 9 players
> they've released that you can get the r48 version from (they keep it
> available for developers to test their flash projects against).
>
> You won't be able to enter the location of the r48 version by default,
> because Ubuntu's debconf is set to only show questions of priority
> 'high' or above, and the question about the location of r48 is priority
> medium. You have to reconfigure debconf to show questions of priority
> 'medium' first (afterwards you can reset it to 'high'). This is
> explained below.
>
> The steps I followed were:
>
> I got the Flash 9 archive from here: http://fpdownload.macromedia.com/get/flashplayer/installers/archive/fp9_archive.zip
> which I found on this page: http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14266
>
> Unzip the .zip file (use unzip from the command line or file-roller)
> Copy the r48 version to /tmp and change it's name to what the installer is expecting at the same time:
> cp fp9_archive/9r48/install_flash_player_9r48_linux.tar.gz /tmp/install_flash_player_9_linux.tar.gz
>
> reconfigure debconf to show medium priority questions:
> sudo dpkg-reconfigure debconf
>
> It will ask 2 questions. The answer to the first should be 'Dialog'
> (Ubuntu's default). The answer to the second question about priority of
> questions to show should be 'medium'. (Low also works)
>
> Install flashplugin-nonfree:
>
> You can use apt-get, synaptic or aptitude.
>
> apt-get (command line)
> sudo apt-get install flashplugin-nonfree
>
> synaptic - search for flashplugin-nonfree and install it.
>
> aptitude - you probably know how to select a package for installed if
> you use aptitude.
>
> For any of the methods, debconf should ask you what the location of the
> downloaded file is. Enter /tmp (Do not enter the filename of the file,
> just the directory location) and it should install correctly.
>
> If you want, reconfigure debconf to only show you 'high' priority questions again:
> sudo dpkg-reconfigure debconf
>
> I believe downloading the...

Read more...

We could just change the MD5sum that the package compares the download to.

Dara Adib (daradib) wrote :

That is exactly what the fix is (the ones that were on proposed repository and in my Ubuntu Forums thread post). For more information on why it has not been added to the repositories see http://ubuntuforums.org/showthread.php?t=636397 and https://lists.ubuntu.com/archives/ubuntu-devel/2007-December/024877.html

Thank you for the reply. I have done without flash for a while a few
more months won't hurt me a bit.

Do you know when the next upgrade is scheduled.

Gene

Cyrus Jones wrote:
> That is exactly what the fix is (the ones that were on proposed
> repository and in my Ubuntu Forums thread post). For more information on
> why it has not been added to the repositories see
> http://ubuntuforums.org/showthread.php?t=636397 and
> https://lists.ubuntu.com/archives/ubuntu-devel/2007-December/024877.html
>
>

John.Michael.Kane (j.m.k) wrote :

Cyrus are you saying there is no current plan to fix this problem with
regard to previous versions of Ubuntu, and the only way to get flash
properly is to wait for 8.04?

On Jan 4, 2008 6:27 PM, Cyrus Jones <email address hidden> wrote:

> April 24th
> https://wiki.ubuntu.com/HardyReleaseSchedule
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

I believe adding either the -proposed or -backports repositories will fix this for you if you need an immediate solution...

Andrey Vihrov (andrey-vihrov) wrote :

I think this should be added to gutsy-updates since the usual way of installing flash player on a fresh 7.10 install fails for all people :)

Steveire (steveire) wrote :
Neal McBurnett (nealmcb) wrote :

Kristian, I don't see 9.0.115 in any section of gutsy:
http://packages.ubuntu.com/cgi-bin/search_packages.pl?searchon=names&version=all&exact=1&keywords=flashplugin-nonfree

I suspect that if as you don't rely on Konqueror, Steviere's link to launchpadlibrarian.net with dpkg -i is a reasonable workaround, or using the manual steps described above to get version 9.0.48.

Neal McBurnett (nealmcb) wrote :

And for 64-bit users, you of course want the "amd64" version:

 wget -c http://launchpadlibrarian.net/10804892/flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb
 sudo dpkg -i flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb

Iain Lane (laney) wrote :

Yes, this should definitely be pushed out to -updates; the error can be very confusing for novices.

plun (plun) wrote :

Can you please just fix this bug

http://secunia.com/advisories/28161/

Highly critical
Impact: Unknown
Security Bypass
Cross Site Scripting
Manipulation of data
Exposure of sensitive information
Privilege escalation
DoS
System access

And maybe close down other "home brewed" projects which runs Flash....

I know this is a real, real, longshot. But would it be possible to ask
Adobe to post the md5sums of the flashplugin tarball?

--
dave

On 1/8/08, plun <email address hidden> wrote:
>
> Can you please just fix this bug
>
> http://secunia.com/advisories/28161/
>
> Highly critical
> Impact: Unknown
> Security Bypass
> Cross Site Scripting
> Manipulation of data
> Exposure of sensitive information
> Privilege escalation
> DoS
> System access
>
> And maybe close down other "home brewed" projects which runs Flash....
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

What is to be done from my side (SRU manager) here?

Iain Lane (laney) wrote :

Martin: flashplugin-nonfree version 9.0.115.0ubuntu3 (the one in Hardy which works) needs to be available on gutsy-updates so that people aren't confronted with the md5sum error.

There is also the matter of the below bug which seems to affect the current
version of flash that is installable in the hardy repo
https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/180439
https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/182013

Wouldn't the above bug then affect those who it is made available to
through gutsy-updates?

On Jan 11, 2008 11:47 AM, Iain Lane <email address hidden> wrote:

> Martin: flashplugin-nonfree version 9.0.115.0ubuntu3 (the one in Hardy
> which works) needs to be available on gutsy-updates so that people
> aren't confronted with the md5sum error.
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Iain Lane (laney) wrote :

Bourne wrote:
> There is also the matter of the below bug which seems to affect the current
> version of flash that is installable in the hardy repo
> https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/180439
> https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/182013
>
> Wouldn't the above bug then affect those who it is made available to
> through gutsy-updates?
>

I may be wrong, of course, but don't these bugs only affect Hardy? i.e.
if pushed to gutsy-updates there wouldn't be a problem?

Can anyone shed any light on why 9.0.115.0ubuntu0.7.10 was removed from
gutsy-proposed? It seemed to only change the MD5s, which is what we need
here.

Jim (jwyllie83) wrote :

> I may be wrong, of course, but don't these bugs only affect Hardy? i.e.
> if pushed to gutsy-updates there wouldn't be a problem?
>
> Can anyone shed any light on why 9.0.115.0ubuntu0.7.10 was removed from
> gutsy-proposed? It seemed to only change the MD5s, which is what we need
> here.

Yeah: because the new version doesn't work with Konqueror. And the
decision was made that rather than confusion + brokenness for 1% of web
users who want Flash (those who consistently browse with Konqueror
enough so as to want Flash), we should have confusion + brokenness for
100% of web users who want Flash.

found this short howto on how to get Konqueror working with the latest fiash.
"Konqueror with latest Adobe Flash HOWTO
Sunday 30th December, 2007 @ 4:36 pm
I agree with Lubos. Flash sucks. However, most of us have or want to use it for things like YouTube or watching badgers.
As you may be aware the latest versions of Flash depend on XEmbed support which Konqueror lacks without various patches to KDELibs and KDEBase which haven’t been applied by my distribution and I couldn’t get working even when I manually patched the necessary parts of KDE myself. I was using the older versions but it appears they have outstanding and actively exploited security holes that they have only fixed in the XEmbed-supporting versions.
Mike needs his YouTube fix without haxors running rife on his box. Who can save him?
KMPlayer to the rescue!
KMPlayer is my media player of choice as it allows you to trivially switch between XINE, MPlayer and GStreamer backends and, as of version 0.10.0, has a nifty backend that allows you to use XEmbed-supporting plugins, including Adobe’s Flash plugin, which can then be embedded in Konqueror to allow Flash to work trivially.
HOWTO:
Install KMPlayer. It is included in all the major distributions I’ve ever used. Ensure it is installed/compiled with the “NPP” backend enabled which allows the playback of Netscape XEmbed plugins
Run KMPlayer so it creates its config file. Close it. (This step probably isn’t necessary but it won’t do any harm)
Open “~/.kde/share/config/kmplayerrc” in a text editor of your choice. Add the following to the end of the file:

[application/x-shockwave-flash]
 player=npp
 plugin=/opt/netscape/plugins/libflashplayer.so
Change the “plugin=” line depending on where the Adobe Flash plugin was installed on your distribution. The above example is where it is installed on Gentoo. (If people could reply with the location of it on their distribution that would be great, thanks!).
Open Konqueror and click “Settings > Configure Konqueror…”. In the new window navigate to “File Associations” in the left-hand panel and select “application/x-shockwave-flash“. Click the “Embedding” tab and click “Add..“. Select “Embedded MPlayer for KDE” from the new window. If it is not there then you may need to restart KDE or run “kbuildsycoca” from a terminal. Close all the opened windows.
Enjoy a working Flash in Konqueror!
What is wrong? You’re running a x86_64 machine (like me) so the above doesn’t work? Never fear! If you manage to get a 32-bit version of “knpplayer” (the small program that runs the plugins) and install that in your $PATH before the 64-bit version then it will all just work like magic! Note that you’ll need 32-bit versions of the various dependent libraries also (it seems just to be GTK, Cairo, X11 and DBus stuff). "
from a blog bost by mike arthur - http://mikearthur.co.uk/index.php/?p=171

knpplayer doesn't seem to be included in our packages

And where is that update now?

Why dont update the package in repositories? The .48 release has security holes, the .115 is unavailable because md5 sum mismatch. All Ubuntu users over the world must haunt the solution in google??? Absurd!

 Jim wrote on 2008-01-11:

Yeah: because the new version doesn't work with Konqueror. And the
decision was made that rather than confusion + brokenness for 1% of web
users who want Flash (those who consistently browse with Konqueror
enough so as to want Flash), we should have confusion + brokenness for
100% of web users who want Flash.

Absolutely agree!

On 16/01/2008, Zamiere Vonthokikkeiin <email address hidden> wrote:
>
> Jim wrote on 2008-01-11:
>
> Yeah: because the new version doesn't work with Konqueror. And the
> decision was made that rather than confusion + brokenness for 1% of web
> users who want Flash (those who consistently browse with Konqueror
> enough so as to want Flash), we should have confusion + brokenness for
> 100% of web users who want Flash.

Agree!

Stop sending emails and just actualize the packet. Furthermore the bug that
I reported was completely different. My error found wasn't that were
problems installing the flash-player plugin because of a mismatch in the md5
sum. The problem I reported was that having a mismatch, synaptic&apt-get say
that the packet was installed correctly, and not only the flash-plugin but
many others packets. Hence having a little bug in apt-get.

 I just go to tools-extensions in firefox and turn off the ubufox 0.4-beta1 extension and uninstall the flashplugin-nonfree go to a page like youtube. then firefox will ask me to install the flash-plugin again withoute the gnash option.

Sebastian Kapfer (caci) wrote :

Would you mind actually _reading_ the bug comments before posting irrelevant crap & chatter here?! This is a bug tracker, not a support forum or general discussion channel.

Sorry 'bout the tone, but it had to be said.

Matt Darcy (matt-darcy) wrote :

well said, the ammount of "update the md5's" is getting tedious - it's been spelt out a few times that konqueror and opera are the main issues holding this back.

Stand fire for direction from the ubuntu teams, rather than posting more pointless work around and temp fixes and ideas of "fixing md5 error".

If you want to post work around try the ubuntu forums as there are many threads asking for help and discussing this issue.

@Matt Darcy The conclusion from what I am gathering here is users wanting
flash will either have to use the workarounds, install flash direct from
adobe or wait until Hardy's release correct?

On Jan 18, 2008 11:03 AM, Matt Darcy <email address hidden> wrote:

> well said, the ammount of "update the md5's" is getting tedious - it's
> been spelt out a few times that konqueror and opera are the main issues
> holding this back.
>
> Stand fire for direction from the ubuntu teams, rather than posting more
> pointless work around and temp fixes and ideas of "fixing md5 error".
>
> If you want to post work around try the ubuntu forums as there are many
> threads asking for help and discussing this issue.
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

No, we need a solution for this which will really fix this issue for all ubuntu users. Updating Md5sums is a workaround but not a complete solution to that problem, so there must be somebody who'll work on a real solution.

> No, we need a solution for this which will really fix this issue for all
> ubuntu users. Updating Md5sums is a workaround but not a complete
> solution to that problem, so there must be somebody who'll work on a
> real solution.

Agreed. We need a solution for everyone. As we don't have one, a
solution for nearly everyone is pretty helpful. How can you say that
"failing for everyone" is worse than "failing for a few people?"

This isn't a rhetorical question: as there were some dittos to this
idea, it might be worthwhile to tell me (and the list) why that's not an
acceptable solution barring a better one. Keep in mind, btw, a full
solution hasn't even been proposed (much less implemented), so it's not
a matter of "working on a real solution" as no one has an idea of work
to do :)

I also agree that the situation is pretty bad actually, I don't know what are exact plans of people who are responsible of this package but I'm sure that ubuntu people will try to find a solution that will work for everybody and that will fix this issue once for all.. I don't know if this solution is near of being released.. and I don't know all details about it ( maybe that once the actual flashplugin-nonfree package has been installed, it's not possible to fix the problem by just updating the package. ) All these little bugs must be fixed.. I'll look if I can do something to help this bug getting fixed.

I think a more important issue (not that flash not being installed is unimportant - i can live without it - i am just saying) - is the fact that apt reports it as being installed even though the install failed.

Steev Klimaszewski wrote:
> I think a more important issue (not that flash not being installed is
> unimportant - i can live without it - i am just saying) - is the fact
> that apt reports it as being installed even though the install failed.

As many of the linked bugs note: the package managers (Synaptic, Adept,
etc) report it as installed, probably because of the exit code of apt.
Apt-get on the command line does not.

This is not simple. Flash is working for all people who currently use konqueror so lets think at the consequences of each choices :

1. Updating flashplugin-nonfree to 9.0.115.0 : The majority of all konqueror users are still able to use flash because it has been installed in 9.0.48 version. Once the update is added in ubuntu repositories, ALL konqueror users won't be able to use flashplugin anymore, and there will be no workaround to fix this problem. Actual Firefox users won't see any difference and new ubuntu firefox users will be able to install flashplugin-nonfree again.

2. Don't update flashplugin-nonfree : All Firefox/konqueror users are still able to use flash, new Firefox users need support in order to install flash, but it's still possible, and new konqueror users can't install flash player.

I don't know about your opinion, but I think that option 1 is worst than 2. If konqueror doesn't comply with Xembed ( that is used by latest flash plugin ), it won't be possible to install flash for konqueror. There has been some serious work on this in the last weeks and ubuntu people are not sleeping.. Patches for konqueror AND latest flashplugin-nonfree are both availaible for Hardy. Because it's relatively new, these patches needs testing before they are updated as updates for all stable ubuntu releases. I tested latest konqueror in Hardy and didn't get expected result yet.

I opened bug #184149 for the konqueror issue. Once it will get fixed, I believe that it will be possible for ubuntu developers to think about patching konqueror and updating flash on all stable ubuntu release.

Unfortunately, it's not possible to change the download link in the 9.0.48.0 package to download the 9.0.48.0 version of flash because this flash version is now in a huge archive of 61 Mb which contains all 9 version of flash for Linux. Also this is not a viable solution since 9.0.48.0 version has serious security bugs which needs to be fixed by updating to 8.0.115.0

Download full text (5.0 KiB)

> This is not simple. Flash is working for all people who currently use
> konqueror so lets think at the consequences of each choices :

I think it's time to dispel that notion that that's some kind of sizable
percentage of Linux users. I have reasonably-high volume sites to which
I have stats access. Last I saw, The Hurd had more hits than Konqueror.

> 1. Updating flashplugin-nonfree to 9.0.115.0 : The majority of all
> konqueror users are still able to use flash because it has been
> installed in 9.0.48 version. Once the update is added in ubuntu
> repositories, ALL konqueror users won't be able to use flashplugin
> anymore, and there will be no workaround to fix this problem.

Sure there is. As was noted in the threads, you can download the
"install all versions" Flash download (it's like 65MB) and install the
last version that works. Yeah, it's harder than what Firefox users do
now, but it is, indeed, a workaround.

> Actual
> Firefox users won't see any difference and new ubuntu firefox users will
> be able to install flashplugin-nonfree again.

... um, they'll see apt's Flash package working like it should for new
users? Current users can also update Flash to the new version, giving
them the patches to the vulnerabilities fixed in the Flash update. Your
option should be amended. Based on your final solution, you can get one
of the two outcomes:

-- 1)
Largely inconvenienced Konqueror users who all now have to do manual
installs of Flash from the huge archive (there are very, very few of
these users)
No inconvenience to Firefox users (there are tons of these users)
Firefox users are patched against additional security vulnerabilities

-- 2)
Moderately inconvenienced Konqueror users: new installations fail, old
ones still work.
Moderately inconvenienced Firefox users
Firefox users aren't patched against latest security vulnerabilities

The few Konqueror users can head to the forums to learn how to install
the version they need so that exponentially more new Firefox users don't
have to and already-established Firefox users can get patched Flash
vulnerabilities. How can you justify #1 as your answer?

> 2. Don't update flashplugin-nonfree : All Firefox/konqueror users are
> still able to use flash, new Firefox users need support in order to
> install flash, but it's still possible, and new konqueror users can't
> install flash player.

I would argue that there are more Ubuntu-based installations daily that
will use Flash on a non-konqueror browser than there are Konqueror users
total who really want Flash. In terms of total number of inconvenienced
users, it's no contest. In terms of security, only #1 is responsible.
In terms of hours spent fixing the problem (which is probably the best
metric), #1 is far, *far* less.

> I don't know about your opinion, but I think that option 1 is worst than
> 2.

It should be clear by now: my opinion is that konqueror isn't important
enough to inconvenience nearly every user of a distribution that touts
itself as being very, very easy to use.

> If konqueror doesn't comply with Xembed ( that is used by latest
> flash plugin ), it won't be possible to install flash for kon...

Read more...

If the current package is insecure, surely it must be replaced, no matter what the collateral damage is? Doesn't security trump all else?

Tom Shaw (firephoto) wrote :

There is an even simpler solution for this problem. Un-patch firefox so it does what it's suppose to do and allow it to always be able to download the latest flash plugin and install it. This gives you what comment 117 talks about and it does work because it has always worked with firefox until it was decided to take this ability away for some reason.

Do that and this problem only exists for browsers that don't have the built in functionality to download and install the flash plugin and rely on the user installing the flash package or downloading it from adobe. This also fixes the problem that people have that make them think firefox is the only browser that exists (it isn't by a long shot).

https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/173890/comments/125
This is incorrect - apt-get still states that the package *is* installed. That was how I figured out what the issue was in order to come to bugs and search to see how many others were running into the issue - it showed the package md5sum NOT matching, and then a subsequent attempt to apt-get install flashplugin-nonfree states that package flash-plugin-nonfree is already installed.

Saivann Carignan (oxmosys) wrote :

Jim and eveybody : updates are designed to fix problems, not to cause new problems. The actual flashplugin-nonfree situation is clearly bad, so we need to find the way to fix this which will solve every problems. Argue is good to define solutions but we should not take solutions that will cause new problems. Trying to estimate the percentage of Firefox/Konqueror user can only give blurry values as we don't have tangible way to calculate. I think that more people will try to help working on a complete solution that will fix problems for everyone in any situation, the more this will get fixed fast and well. Anyway, I and we can't take that decision alone, but we can help this process by making needed information visible, testing new packages in Hardy and keep in touch with ubuntu developpers. When a bug report get so much comments, it's just unusable so I don't think we're helping now. Thanks anyway to everybody who cares about this problem and work to get it fixed.

Matt : Security problems with Flash on a Linux OS, I believe that it's far away from critical, but yes I should be fixed.

Nanley Chery (nanoman) wrote :

This is still a problem. See Bug #175666 and Bug #182468 (probable duplicates). I too experience this problem on a fresh Gutsy install and with all updates applied (today). Because we have already released Gutsy, and it is undergoing general usage, the Importance of this bug should be raised to high

Changed in flashplugin-nonfree:
status: Fix Released → Confirmed
Shriramana Sharma (jamadagni) wrote :

I wonder if bug #125986 is a duplicate. Should there be a new bug for each version of Ubuntu the problem exists in?

Just trying to help and not to throw spam.

Saivann Carignan (oxmosys) wrote :

Due to the high number of duplicates and according to https://wiki.ubuntu.com/Bugs/Importance, I set the Importance to High. This bug should also have a nomination for Hardy release set to Fix Released since this bug is only fixed in Hardy.

Changed in flashplugin-nonfree:
importance: Medium → High
The Marauder (arn-epsilon) wrote :

This bug WILL NOT be resolved on Gutsy ?
Why a md5 is used ? We know that adobe change his plugin version has he wants .....

I have been following this thread for a while and to be honest it does
not seem like it will be fixed in Gutsy.
Someone seems to think that Konqueror people will be to inconvenienced
because the latest release of flash requires XEmbed (someone correct
me if I am wrong).
The way I see it is: This is Ubuntu, not Kubuntu and as such Firefox
is the default browser. Ubuntu should be concerned with Ubuntu. let
Kubuntu deal with fixing Konqueror.
But I digress, this is not the place for such a discussion.

-Chris

On Jan 21, 2008 7:58 AM, The Marauder <email address hidden> wrote:
> This bug WILL NOT be resolved on Gutsy ?
> Why a md5 is used ? We know that adobe change his plugin version has he wants .....
>
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Wow, what a lot of fuss :D I hesitate to add more to this thread, but after scanning briefly the comments here, I haven't noticed anybody put forward the following perspective:

Putting aside the issues of the md5sum & failure of the package management system to recognise that the plugin was not installed (since those are clear-cut), the problem has to do with properly representing package relationships such that the package management system can deal with the Konqueror issue. To my mind at least, the only 'correct' fix (prior to resolution of the XEmbed issue in Konqueror) is to make flashplugin-nonfree a meta-package depending on one or the other of two separate binary packages for the two versions of the flash plugin, the newest of which conflicts with the konqueror package?

PS: I don't agree with the sentiment that the best solution is the one that satisfies the most people in the shortest time - that attitude belongs with the proprietary model of software development and should stay there. This is supposed to be a community, not a mobocracy ;)

I wholly agree with Will Daniels above.

I've read most of the posts here and I'm still not understanding this-- will this be fixed (soon?)??

I have an important deadline coming up and my last Ubuntu install died on me so now here I am, fresh reinstall, and I'm being held back by a buggy Flash install that says it has installed but doesn't really (because of the md5 hash; though in Synaptec it is displayed as installed).

If this won't be fixed super soon, is there a way I can get an older Flash plugin because I know that worked just fine a day or so ago for me.

Thanks in advance,

Conrad Knauer (atheoi) wrote :

Will Daniels: No; no 9.x version of Flash under 9.0.115.0 should be offered. Secunia (as previously linked http://secunia.com/advisories/28161/) clearly states that versions prior to 9.0.115.0, including "Flash Player 9.0.48.0 and earlier for Windows, Mac, and Linux" suffer from a "Highly critical" vulnerability that is only resolved by an "Update to version 9.0.115.0"

FIRST AND FOREMOST, THIS IS A SECURITY ISSUE!

All copies of Flash need to be upgraded NOW; this bug has been open for far too long. If the update breaks usability in Konqueror, that is an unfortunate side-effect of a HIGHLY CRITICAL security vulnerability fix and can be dealt with as a separate bug. Such is the price users must pay for using ***proprietary software***; we cannot fix Adobe's Flash player, so Konqeror needs to be updated. The fact that the majority of *buntu users, who use Firefox, will not have any problems after the update, is a bonus.

If the Gnash plugin works in Konqueror, then that can be a temporary work-around for them until Adobe's Flash works right for Konqueror users.

Conrad Knauer (atheoi) wrote :

FilmAficionado: for a working copy of the 115 update for Gutsy (7.10), see http://ubuntuforums.org/showthread.php?t=636397 (as was previously linked). All you have to do is download a DEB and install it (by double-clicking it and entering your password when requested).

Conrad Knauer Is it advisable to download a random .deb file?

I know there are scripts that download flash, and install it. Also at
least the user can read the script, and see what it is doing,however. With
a prepackage deb that some unknown user made there is the potential for
other issues is there not?

Wouldn't it be best to advise those user who want or need flash to install
it using the .tar.gz method outlined on the adobe website?

On Jan 21, 2008 2:28 PM, Conrad Knauer <email address hidden> wrote:

> FilmAficionado: for a working copy of the 115 update for Gutsy (7.10),
> see http://ubuntuforums.org/showthread.php?t=636397 (as was previously
> linked). All you have to do is download a DEB and install it (by
> double-clicking it and entering your password when requested).
>
> --
> flashplugin-nonfree fails to install... new version?
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Bourne inquired: "Is it advisable to download a random .deb file?"

Radom DEBs would not be advisable, no, but I am pointing out a specific one ;)

Seriously though, users may judge the relative risks of downloading that specific DEB; its been up on UF since the beginning of December, the person who started the thread has been posting for over a year, some 23 users have left a "thank you" on the bottom of that post and the thread extends over three pages without (by my skimming) any serious issues with the DEB.

Users may also weigh the relative risks of said DEB against the one in the repositories which either doesn't work or has installed software with a known security vulnerability.

"Wouldn't it be best to advise those user who want or need flash to install it using the .tar.gz method outlined on the adobe website?"

I would not, no. That would defeat the purpose of having excellent package management; e.g. how would said users know if a new update (let's say a 120 release is made available in a week) became available? For Ubuntu, a DEB is always preferable IMHO.

Thanks Conrad Knauer, I'm back to work now on Gutsy.
I ran it in sudo Nautilus and it worked fine. Got a message that an older more supported version was in the repo, but that's to be expected :)

Thanks again!

as for the not working on konqueror issue, using Kmplayer to embed it works fine for me (not using Ubuntu packages though, as they for some reason don't have the needed backend compiled in) . see http://mikearthur.co.uk/?p=171#comment-3573 for a step by step guide . But I don't think there is any way to impliment that as a .deb solution. Well, perhaps a package like konqueror-flashfix, that konqueror will depend on.

Can we keep this type of non-pertinent discussion on the Forums? Launchpad is not a support forum.

-----Original Message-----
From: FilmAficionado <email address hidden>

Date: Mon, 21 Jan 2008 21:41:45
To:<email address hidden>
Subject: [Bug 173890] Re: flashplugin-nonfree fails to install... new version?

Thanks Conrad Knauer, I'm back to work now on Gutsy.
I ran it in sudo Nautilus and it worked fine. Got a message that an older more supported version was in the repo, but that's to be expected :)

Thanks again!

--
flashplugin-nonfree fails to install... new version?
https://bugs.launchpad.net/bugs/173890
You received this bug notification because you are a direct subscriber
of the bug.

Changed in flashplugin-nonfree:
importance: Undecided → High
milestone: none → gutsy-updates
Ashrentum (jmcejuela) wrote :

This is the last time I write for this bunch of different threads opened for
the same bug. My bug reported was this:

Synaptic and apt-get say that the installation of some packets had success
when in fact didn't because the md5 checksum failed. For example the
flash-plugin, but NOT the ONLY one. So the problem is not that the
flash-plugin is not installed!.

To fix the real problem. So easy! As someone said, it is surely just that
the error exit code is valid. In fact in apt-get we can see the error of the
md5 checksum.

To fix a particular problem for the md5 checksum. So easy! Just actualize
the md5 checksum.

So if the solutions are so so easy, why write hundreds of threads without
solving the problems? why spend time deciding which bug number should they
have?? Now I receive like 10 bugs threads all originated by the same, what
is just so annoying. Don't waste the time in bureaucracy. Stop sending
useless mails.

With all the respects.

Do you understand the idea of assume????

Your assignment if you decide to accept is to find twelve computer
users. Then give them all of this junk that was sent out on this bug
and see if they can get a computer's flash program working.

The total amount of time spent on this bug could have been better spent
developing a step by step procedure to solve the problem.
I don't see that has happened. The majority of the people out there
would just like to have a working system. Is that asking to much?

Now Mr./Ms. bounces go and look at what you wrote and see how many
people out there can do what you said or can even understand what you said.

Gene

Having an Ubuntu package to install Adobe Flash Player loose pretty much any meaning if people is suppose to manually install Flash (as I was forced to do because of this "tiny" bug).

For me the best would be to remove this Adobe Flash Package (because its buggy) or forget about Konkeror. How is Kubuntu dealing with this package... why its a problem on Ubuntu all of a sudden?

Wouldn't it be better to manually install Flash on Konkeror? How it come that manually Installing it on Firefox was assumed as OK "by default" and manually installing it on Konkeror to solve this became considered a potential mayhem?

This BUG was very bad handled in my opinion. Not because of any kind of incompetence, but because of lack of resolution while dealing with it.

Tommstein (tommstein) wrote :

I am new to Ubuntu/Kubuntu after finally getting fed up with Gentoo after more than five years, so don't flame me too badly for my first post, but I must ask: What's wrong with just downloading the entire 65 MB file with all the Flash versions and taking the last version that worked? Sure, the one-time download would take a little while for the ever-shrinking number of people still on dial-up, but I've seen bigger problems, and that would fix this bug for everyone right now. One of the reasons I'm trying Ubuntu/Kubuntu is because of how everything allegedly "just works," but the long existence of this easily-fixed issue is discouraging.

Nicolae Istratii (tallman9) wrote :

It is discouraging indeed. The bug is still there, although there are already fixed packages. I guess it is done on purpose.

Saivann Carignan (oxmosys) wrote :

AFAIK, Developers seems to work hard on this to make flash working on konqueror and Firefox in the shortest time and their playground in Hardy since they can test their work without causing problems to the final user. That's why we don't get any comment from them, they are already working hard on this.

NoOp (glgxg) wrote :
Download full text (6.6 KiB)

Gutsy 7.10 - Gnome desktop
Linux ubuntu 2.6.22-14 generic
[Fresh install on an A21M Thinkpad laptop w/128Mb of memory]

~$ sudo apt-get install --reinstall flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  konqueror-nsplugins ttf-xfree86-nonfree xfs
The following NEW packages will be installed:
  flashplugin-nonfree
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/18.1kB of archives.
After unpacking 160kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package flashplugin-nonfree.
(Reading database ... 128126 files and directories currently installed.)
Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12_i386.deb) ...
Setting up flashplugin-nonfree (9.0.48.0.2+really0ubuntu12) ...
Downloading...
--12:39:05-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 72.246.170.70
Connecting to fpdownload.macromedia.com|72.246.170.70|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3,036,127 (2.9M) [application/x-gzip]

    0K .......... .......... .......... .......... .......... 1% 163.21 KB/s
   50K .......... .......... .......... .......... .......... 3% 153.37 KB/s
  100K .......... .......... .......... .......... .......... 5% 157.78 KB/s
  150K .......... .......... .......... .......... .......... 6% 153.39 KB/s
  200K .......... .......... .......... .......... .......... 8% 154.80 KB/s
  250K .......... .......... .......... .......... .......... 10% 154.37 KB/s
  300K .......... .......... .......... .......... .......... 11% 156.21 KB/s
  350K .......... .......... .......... .......... .......... 13% 156.31 KB/s
  400K .......... .......... .......... .......... .......... 15% 151.07 KB/s
  450K .......... .......... .......... .......... .......... 16% 155.28 KB/s
  500K .......... .......... .......... .......... .......... 18% 156.77 KB/s
  550K .......... .......... .......... .......... .......... 20% 154.76 KB/s
  600K .......... .......... .......... .......... .......... 21% 155.83 KB/s
  650K .......... .......... .......... .......... .......... 23% 151.08 KB/s
  700K .......... .......... .......... .......... .......... 25% 156.26 KB/s
  750K .......... .......... .......... .......... .......... 26% 155.31 KB/s
  800K .......... .......... .......... .......... .......... 28% 156.25 KB/s
  850K .......... .......... .......... .......... .......... 30% 155.27 KB/s
  900K .......... .......... .......... .......... .......... 32% 152.46 KB/s
  950K .......... .......... .......... .......... .......... 33% 154.37 KB/s
 1000K .......... .......... .......... .......... .......... 35% 155.79 KB/s
 1050K .......... .......... .......... .......... .......... 37% 155.27 KB/s
 1100K .......... .......... .......... .......... .......... 38% 156.74 KB/s
 1150K .......... .......... .......... .......... .......... 40% 150.62 KB/s
 1200K .............

Read more...

s (dremerrr) wrote :

Synaptic package manager and add/remove application should indicate that package installation fail. NOT to indicate that it is installed successfully!!!

On 01/27/2008 11:37 AM, s wrote:
> Synaptic package manager and add/remove application should indicate that
> package installation fail. NOT to indicate that it is installed
> successfully!!!
>

Agree - it should show the same result as when attempted with apt-get
install (and doesn't):

Download done.
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

This is not a synaptic bug. The package should stop his installation when md5sums mismatch, but it does not. This is a part of the flashplugin-nonfree bug.

Changed in synaptic:
status: New → Invalid

Saivann Carignan wrote:
>1. Updating flashplugin-nonfree to 9.0.115.0 ...
>2. Don't update flashplugin-nonfree ...
>
> ... I think that option 1 is worst than 2. If konqueror doesn't comply with Xembed ( that is used by latest flash plugin ), it won't be possible to install flash for konqueror.

Why? You can install ANY flashplayer-nonfree for new installations now with the unupdated packages???

Saivann Carignan wrote:
> Security problems with Flash on a Linux OS, I believe that it's far away from critical, but yes I should be fixed.

It's a joke?
Two months without any change, the only support for installing new version is an attachment link in ubuntuforums.org's topic, accessible only for registered users?
It's a joke.

Saivann Carignan (oxmosys) wrote :

Please don't forget the code of conduct : http://www.ubuntu.com/community/conduct

We need to collaborate and fix bugs, not create new bugs. Developers work hard on this for free, you can also give your support or be collaborative to help these developers fixing this issue for everyone. Bugs which has so much comments are not helpful.

Dara Adib (daradib) wrote :

I think the developers know enough already about how frustrated users are. Maybe as a community we can help solutions for new people. I encourage people to go around Ubuntu Forums, Launchpad Answers, Launchpad Bugs, etc. and help other users with problems like these. Maybe something like a reference to http://ubuntuforums.org/showthread.php?t=636397 would be useful to users suffering from this problem, especially those who don't see the mismatch error (and only see an installed flashplugin-nonfree in Synaptic).

And because there have been many complaints over the fact that some "fixed" packages are available only to forum users, I have attached an archive of the files here. I do not believe you will be able to use 64-bit flashplugin-nonfree package without modifications on Ubuntu releases before 7.10.

Somebody (<email address hidden>) says that the new flash plugin is installable via firefox's installer (the yellow bar at top you know). Is it real? I can't try it out.

I was tiring of waiting, so I fixed it myself.

Changes:
- md5sums updated
- removed all references to flashplayer.xpt (the new flash installer doesn't have this file anymore)

Download updated package for Gutsy 7.10 x86_64 here:
http://krul.nu/flashplugin-nonfree_9.0.48.0.2+really0ubuntu12_amd64.deb

Patch against original package here:
http://krul.nu/flashplugin-nonfree-9.0.48.0.2+really0ubuntu12.patch

If you need to build for another version/arch, download the patch and take these steps to make your own package:

# apt-get install build-essential cdbs
# apt-get source flashplugin-nonfree
# cd flashplugin-nonfree-*
# patch -p0 < /path/to/patch
# dpkg-buildpackage
# cd ..
# apt-get remove flashplugin-nonfree
# dpkg -i flashplugin-nonfree_9.0.48.0.2+really0ubuntu*.deb

Et voila, a working flash plugin.

Ali Sabil (asabil) wrote :

Maybe this bug should be taken a bit more seriously, flash player is among the 1st things new users want to install.

Martin Pitt (pitti) wrote :

Just to chime in: bug 184149 now has a proposed patchset to make Konqueror work with the new flash plugin version. Once that's in, we can update this package, too (and blatantly ignore that opera won't work with the new flash version either).

On Jan 31, 2008 2:33 AM, Martin Pitt <email address hidden> wrote:

> update this package, too (and blatantly ignore that opera won't work
> with the new flash version either).
>
That's Ok, Opera should be working on a fix anyways, no?

Hello all, I'm a long time linux user but recently installed Ubuntu. I tried to watch YouTube videos and I eventually found this page. Can anyone point me towards current instructions on how I can get YouTube working? I read a lot above and fiddled with things, I but don't really understand the issues involved. I think some of the information I've seen is out of date. I have Ubuntu v7.10 on an AMD64 dual core system.

BTW, I did search the forums a bit, but I never bothered to register, so I haven't tried the password-protected parts of the forum (if that is the solution, as someone suggests above).

Thank you very much!

Jonathan Riddell (jr) wrote :
Jonathan Riddell (jr) wrote :
Jonathan Riddell (jr) wrote :

Despite the length of this thread I don't actually see any patches. Attached for gutsy and feisty above, I'll upload to -proposed, edgy and dapper are harder though, they need updated from flash 7 and there's more debconf bits to worry about, I couldn't get it working when I tried briefly, patches welcome.

Alex Rudnick (alex-rudnick) wrote :

@Ben: Yeah, this has the potential to be really frustrating! I have the same setup, and I followed Dennis Krul's instructions (just a few comments up), and they worked like a champ. They have the added bonus that, if you're not super-trusting, you can look at the patch first. You'll have to put "sudo" in front of those "dkpg" commands, unless you're logged in as root.

@Ali: For serious. It looks like the issue's assigned to somebody, but he's dropping the ball? ...

@Dennis: Thanks! :) The instructions are great!

Sorry to add to the growing list of redundant(ish) comments to this
bug, but I tried out Etch last night to see how they handled this bug
and found Flash installs fine.

Doing some digging I found the bug in their tracking system at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=432755 and it seems
they resolved this on the 27th of December and now have 9.0.115.0.1 in
stable. Is there a reason why their fix can't be reviewed?

Accepted into gutsy-proposed. Please test and give feedback here.

Changed in flashplugin-nonfree:
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

Accepted to feisty-proposed, too.

Changed in flashplugin-nonfree:
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

Fixed in Hardy already.

Changed in flashplugin-nonfree:
status: Confirmed → Fix Released
Iain Lane (laney) wrote :

Gutsy version seems to work great here.

16:29:53 (314.68 KB/s) - `./install_flash_player_9_linux.tar.gz' saved [3036127/3036127]

Download done.
Flash Plugin installed.

Flash works just as it always did. Thanks!

AlejandroRiveira (ariveira) wrote :

@ Martin Pitt

> Accepted into gutsy-proposed. Please test and give feedback here.

Failed for me on Gutsy 64 bits

(Leyendo la base de datos ...
162123 ficheros y directorios instalados actualmente.)
Preparando para reemplazar flashplugin-nonfree 9.0.48.0.2+really0ubuntu12.1 (usando .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12.1_amd64.deb) ...
Desempaquetando el reemplazo de flashplugin-nonfree ...
Configurando flashplugin-nonfree (9.0.48.0.2+really0ubuntu12.1) ...
Installing from local file /var/cache/flashplugin-nonfree/install_flash_player_9_linux.tar.gz
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

Rashad Tatum (rmtatum) wrote :

It's working for me.

Rashad Tatum (rmtatum) wrote :

It still does not work in Konqueror.

Martin Pitt (pitti) wrote :

Rashad, all: It is known that this version does not work with the current Konqueror, this is why we held back that update for so long in the first place. Bug #184149 is the stable release update to make KDE get along with that new flash version. Please test these versions as well. Thank you!

AlejandroRiveira wrote:
> @ Martin Pitt
>
>> Accepted into gutsy-proposed. Please test and give feedback here.
>
> Failed for me on Gutsy 64 bits
>
> (Leyendo la base de datos ...
> 162123 ficheros y directorios instalados actualmente.)
> Preparando para reemplazar flashplugin-nonfree 9.0.48.0.2+really0ubuntu12.1 (usando .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12.1_amd64.deb) ...
> Desempaquetando el reemplazo de flashplugin-nonfree ...
> Configurando flashplugin-nonfree (9.0.48.0.2+really0ubuntu12.1) ...
> Installing from local file /var/cache/flashplugin-nonfree/install_flash_player_9_linux.tar.gz
> md5sum mismatch install_flash_player_9_linux.tar.gz
> The Flash plugin is NOT installed.
>

I forgot to mention that I'm running amd64 Gutsy - it worked just fine.
Try deleting the cached version that you have and see if that fixes it.

Working for Gutsy

AlejandroRiveira : You have to upgrade flashplugin-nonfree, konqueror, konqueror-nsplugins and kdelibs from gutsy-proposed ( it must be checked in synaptic software sources ). You installed the old flash version.

El Fri, 01 Feb 2008 18:07:05 -0000
Saïvann Carignan <email address hidden> escribió:

> Working for Gutsy
>
> AlejandroRiveira : You have to upgrade flashplugin-nonfree, konqueror,
> konqueror-nsplugins and kdelibs from gutsy-proposed ( it must be checked
> in synaptic software sources ). You installed the old flash version.
>
 i'm using plain ubuntu + firefox no kubuntu

 But after removing it (sudo apt-get remove) and installing it again everything
is working now afaics.

 Thanks for the efforts of all people involved ;) (it was about time)

Works perfectly on Gutsy 32 bit.
Should note that immediately after installation, the install plugin bar reappears (but flash does work). This could be a result of my method of removing the plugin I had already installed - I removed it through synaptic, then deleted the .so file from .mozilla/plugins .

Can Kaya (ckaya) wrote :

Doesn't work for me on Gutsy 32 bit.

Install plugin bar reappears. Clicking on "Install Missing Plugins" then choosing "Adobe Flash Player (installer)" says me that it is already installed and restart of Firefox is required. After restarting Firefox and visiting a site including Flash, install plugin bar reappears and the same process follows.

Reinstalling flashplugin-nonfree through Synaptic doesn't have any effect on the problem.

(BTW, about:plugins doesn't list the Flash plugin.)

On Feb 2, 2008 7:26 AM, ckaya <email address hidden> wrote:

> Reinstalling flashplugin-nonfree through Synaptic doesn't have any
> effect on the problem.
>

Did you completely uninstall flashplugin-nonfree and remove the copy in
/var/cache/apt and /var/cache/flashplugin-nonfree?

If so, could you please attach a copy of your dpkg.log?

Hi,

I tested it on my amd64 distribution. It works well with konqueror and firefox so far.

Thanks for that fix!

Can Kaya (ckaya) wrote :

>Did you completely uninstall flashplugin-nonfree and remove the copy in
>/var/cache/apt and /var/cache/flashplugin-nonfree?

Thank you. It now works.

J. Carlos Navea (loconet) wrote :

I can confirm it worked fine for me on a clean Gutsy install.

Martin Pitt (pitti) wrote :

Can anyone please test this on Feisty?

Saivann Carignan (oxmosys) wrote :

Working for me on Feisty 32 bit for both Konqueror and Firefox, flashplugin-nonfree 9.0.48.0.0ubuntu1~7.04.2

furicle (furicle) wrote :
Download full text (7.2 KiB)

This bug is still outstanding on a 32 bit gutsy clean install.
I've done nothing on this machine but install gutsy, then the updates, then attempted to install the flashplugin via the firefox 'install plugins' bar. It reported that it was installed, but it didn't.

Checking this bug report made me try again this way (see below) which as you can see still isn't working.

brian@corolla:/var/cache/apt/archives$ sudo rm flashplugin-nonfree_9.0.48.0.2+really0ubuntu12_i386.deb
[sudo] password for brian:
brian@corolla:/var/cache/apt/archives$ sudo apt-get purge flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  flashplugin-nonfree*
0 upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
Need to get 0B of archives.
After unpacking, 160kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 88971 files and directories currently installed.)
Removing flashplugin-nonfree ...
Purging configuration files for flashplugin-nonfree ...
brian@corolla:/var/cache/apt/archives$ sudo apt-get install flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  konqueror-nsplugins msttcorefonts ttf-xfree86-nonfree xfs
The following NEW packages will be installed:
  flashplugin-nonfree
0 upgraded, 1 newly installed, 0 to remove and 3 not upgraded.
Need to get 18.1kB of archives.
After unpacking, 160kB of additional disk space will be used.
Get:1 http://ca.archive.ubuntu.com gutsy/multiverse flashplugin-nonfree 9.0.48.0.2+really0ubuntu12 [18.1kB]
Fetched 18.1kB in 0s (90.6kB/s)
Preconfiguring packages ...
Selecting previously deselected package flashplugin-nonfree.
(Reading database ... 88960 files and directories currently installed.)
Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12_i386.deb) ...
Setting up flashplugin-nonfree (9.0.48.0.2+really0ubuntu12) ...
Downloading...
--04:08:08-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 72.246.82.70
Connecting to fpdownload.macromedia.com|72.246.82.70|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3,036,127 (2.9M) [application/x-gzip]

    0K .......... .......... .......... .......... .......... 1% 1.03 MB/s
   50K .......... .......... .......... .......... .......... 3% 2.85 MB/s
  100K .......... .......... .......... .......... .......... 5% 989.99 KB/s
  150K .......... .......... .......... .......... .......... 6% 3.03 MB/s
  200K .......... .......... .......... .......... .......... 8% 1.07 MB/s
  250K .......... .......... .......... .......... .......... 10% 7.59 MB/s
  300K .......... .......... .......... .......... .......... 11% 5.84 MB/s
  350K .......... .......... .......... .......... .......... 13% 927.99 KB/s
  400K .......... .......... .......... .......... .......... 15% 7.60 MB/s
  450K .......... .......... .......... .......... .......... 16%...

Read more...

Savvas Radevic (medigeek) wrote :

furicle, try this:
System -> administration -> software sources -> be sure than you have selected the "main", "universe", "restricted" and multiverse".
Then go to the Updates tab -> check "security", "updates" and "proposed"

after that, do this in the terminal:
sudo apt-get remove --purge flashplugin-nonfree
sudo apt-get install flashplugin-nonfree

$ sudo apt-get install flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  konqueror-nsplugins ttf-xfree86-nonfree xfs
The following NEW packages will be installed:
  flashplugin-nonfree
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/18.1kB of archives.
After unpacking 160kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package flashplugin-nonfree.
(Reading database ... 145003 files and directories currently installed.)
Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12.1_amd64.deb) ...
Setting up flashplugin-nonfree (9.0.48.0.2+really0ubuntu12.1) ...
Downloading...
--15:21:06-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 88.221.186.70
Connecting to fpdownload.macromedia.com|88.221.186.70|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3,036,127 (2.9M) [application/x-gzip]

    0K .......... .......... .......... .......... .......... 1% 52.30 KB/s
   50K .......... .......... .......... .......... .......... 3% 28.06 KB/s
[...]
 2950K .......... .... 100% 32.34 KB/s

15:22:23 (39.04 KB/s) - `./install_flash_player_9_linux.tar.gz' saved [3036127/3036127]

Download done.
Flash Plugin installed.

description: updated
Greg Taylor (gtaylor) wrote :

Still not working, md5sum mismatch.

Saivann Carignan (oxmosys) wrote :

Greg Taylor : You have to upgrade flashplugin-nonfree from gutsy-proposed ( it must be checked in synaptic software sources under the "updates" tab ). I just checked and if you get a md5sum missmatch, it's because you installed the gutsy one and not the gutsy-proposed one.

Martin Pitt (pitti) wrote :

Copied to feisty-updates and gutsy-updates. Thanks to everyone.

Changed in flashplugin-nonfree:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Can someone please give this a go on dapper, too? Few, if any people will care about Edgy nowadays, but Dapper is a bit more important.

Greg Taylor (gtaylor) wrote :
Jan Claeys (janc) wrote :

Installing http://launchpadlibrarian.net/10804892/flashplugin-nonfree_9.0.115.0ubuntu2_amd64.deb worked for me, but the package I got from gutsy-proposed didn't work, so I guess something is still broken...?

Jan Claeys (janc) wrote :

To be clear: Flash worked before I installed the version I got from gutsy-proposed (as installed before the update by Adobe).

Joel Parker (jjkp) wrote :

The 9.0.48.0.2+really0ubuntu12.1 package from gutsy-updates isn't working for me either. Still a md5sum mismatch.

Ryan Ahearn (ryan-c-ahearn) wrote :

Flash worked for me when I had the 9.0.48.0.2+really0ubuntu12 package installed. I upgraded to ...12.1 when the upgrade notifier told me to, and flash stopped working. I believe the 12.1 version didn't download a new version of flash (maybe the original adobe tarball was still in a cache somewhere?) and then complained about a mismatched md5sum. I ended up first forcing the ubuntu12 version from synaptic, and all was well. I then ran
sudo apt-get remove flashplugin-nonfree
and then re-installed it by going to a site in firefox that needed flash.

After that, I have the 12.1 package installed and flash seems to be working fine (at least youtube is with sound, definitely not extensive testing though)

Joel Parker (jjkp) wrote :

Thanks Ryan, that worked for me. So something with the update from 12 to 12.1 is causing it to fail.

Savvas Radevic (medigeek) wrote :

Has anyone of you read the important notice above? :)

For all of you that complain, which repositories do you use?
Check if your repositories are up to date: https://launchpad.net/ubuntu/+archivemirrors
Otherwise, try switching to "Download from" -> "Main server" (at system -> administration -> software sources)
Close and Reload.

Then do this in terminal:
sudo apt-get clean
sudo apt-get autoclean
sudo apt-get update
sudo apt-get remove -y --purge flashplugin-nonfree
sudo apt-get install flashplugin-nonfree

The update to "9.0.48.0.2+really0ubuntu12.1" went well for amd64 gutsy gibbon.

"08:22:25 (51.72 KB/s) - `./install_flash_player_9_linux.tar.gz' saved [3036127/3036127]
Download done.
Flash Plugin installed."

$ apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Installed: 9.0.48.0.2+really0ubuntu12.1
  Candidate: 9.0.48.0.2+really0ubuntu12.1
  Version table:
 *** 9.0.48.0.2+really0ubuntu12.1 0
        500 http://uk.archive.ubuntu.com gutsy-updates/multiverse Packages
        500 http://uk.archive.ubuntu.com gutsy-proposed/multiverse Packages
        100 /var/lib/dpkg/status
     9.0.48.0.2+really0ubuntu12 0
        500 http://uk.archive.ubuntu.com gutsy/multiverse Packages

description: updated
Daeng Bo (daengbo) wrote :

People are reporting this bug again (like mine: https://bugs.launchpad.net/bugs/189819 ), and they are being marked as duplicates of this bug. That is just wrong. This bug is marked as "Fix Released" when the new bug is a fresh situation of the same bug without a fix released.

There is no way the situation will be resolved if the bug is mis-filed.

Savvas Radevic (medigeek) wrote :

Daeng, the fix is released in gutsy-proposed and feisty-proposed, as the bug report ON TOP suggests.
The situation is resolved, I think that some people need to test it before it is released under normal updates.

Please don't comment unless it's really necessary, don't stress the emails as there are a lot of us frustrated by the situation.
The problem is the same, md5sum mismatch, the fixes are re-done and re-released, problem solved (for gutsy amd64 as I see it).
If you want to complain, try adobe for changing several times their upgrades and don't have their versions filed with version numbers :)

Type this in terminal: apt-cache policy flashplugin-nonfree
Check mine above your post, then read the important notice no. 1 and no. 2 on the bug report which I've updated yesterday.

Ryan Ahearn (ryan-c-ahearn) wrote :

Savvas,

This fix is currently in gutsy-updates. At that point, it should be able to be upgraded simply by hitting the install button in the Update Manager. There are a ton of people who in the past day or two will have gotten their flash broken by just blindly installing every update that comes through under the "Recommended Updates" header. And I'm willing the bet that a decent number of them won't be even checking this page, and some that do won't be too thrilled about a multiple step fix.

Savvas Radevic (medigeek) wrote :

Oh well, freedom has its cost sometimes I guess...
Wouldn't it be easier if they packed the binary along with the package?
I suppose adobe forbids redistribution too huh? Can't wait for gnash to gloom :)

Mekaniserad Apelsin (blippe) wrote :

This aint ok. You can't have a postinst-script that first checks if you have a file and don't check if it is the right file before deciding if to dl the right file.

It screws up upgrading (as you already know) and if/when this deb ever hits non proposed repos it will freak out tons of users that a update "destroys" their system, and you can't have this in proposed forever, new users are constantly asking why flash doesn't work and why they have to jump through loops to get flash working.

The script checks for the file /var/cache/flashplugin-nonfree/install_flash_player_9_linux.tar.gz, check it for its md5sum and if it's wrong, dl the new one, and not until that is done and md5 is still wrong fail the upgrade.

Mekaniserad Apelsin wrote:
> This aint ok. You can't have a postinst-script that first checks if you
> have a file and don't check if it is the right file before deciding if
> to dl the right file.
>
> It screws up upgrading (as you already know) and if/when this deb ever
> hits non proposed repos it will freak out tons of users that a update
> "destroys" their system, and you can't have this in proposed forever,
> new users are constantly asking why flash doesn't work and why they have
> to jump through loops to get flash working.
>
> The script checks for the file /var/cache/flashplugin-
> nonfree/install_flash_player_9_linux.tar.gz, check it for its md5sum and
> if it's wrong, dl the new one, and not until that is done and md5 is
> still wrong fail the upgrade.

I'm with Mekaniserad on this one. If you're going to make it
idiot-proof, actually *make* it idiot-proof.

Agreed, not making this idiot-proof goes against bug #1. Let's see a seamless fix.

Mike Trim (miketrim) wrote :

(I couldn't understand Mekaniserad Apelsin's post so some of my post may just be repeating what he said.)

I received this update automatically via update manager. Because the previous tar.gz was still in /var/cache/flashplugin-nonfree, the package did not attempt to download the new version, and of course it failed the md5sum check. I had to manually remove the old tar.gz and run aptitude reinstall to get it installed properly.

1) The package needs to remove the older tar.gz and then download the new one before checking its md5. Possibly the package could include md5sums for all previous versions of the package so that it knows that the tar.gz is a previous version (or the files could be renamed to include version info).

2) The package should fail to install if the md5sums do not match, instead of the package installing successfully without actually installing the plugin.

Tiago Katcipis (katcipis) wrote :

i received the new flash pugin on the update manager and now it is working fine (finally). Its funny how something so simple has taked that time to be fixed.

Jonathan Riddell (jr) wrote :

The md5sums in the debian/config files were not updated, people with the previous flash tar still in their local disk will have flash suddenly removed.

Attaching a fix, tested with a user in that situation

17:38 < bazhang> 821cc72359a937caef85bb4cc74ef5cd /var/cache/flashplugin-nonfree/install_flash_player_9_linux.tar.gz
17:40 <Riddell> what's your output of apt-cache policy flashplugin-nonfree ?
17:40 <bazhang> flashplugin-nonfree:
17:40 <bazhang> Installed: 9.0.48.0.2+really0ubuntu12.1
17:40 <bazhang> Candidate: 9.0.48.0.2+really0ubuntu12.1
17:40 <bazhang> Version table:
17:40 <bazhang> *** 9.0.48.0.2+really0ubuntu12.1 0
17:40 <bazhang> 500 http://tw.archive.ubuntu.com gutsy-updates/multiverse Packages
17:40 <bazhang> 100 /var/lib/dpkg/status
17:40 <bazhang> 9.0.48.0.2+really0ubuntu12 0
17:40 <bazhang> 500 http://tw.archive.ubuntu.com gutsy/multiverse Packages
17:41 <bazhang> or should I pastebin that?
17:41 <Riddell> that's fine
17:41 <Riddell> md5sum /usr/lib/flashplugin-nonfree/libflashplayer.so ?
17:43 <bazhang> no such file or directory
17:43 <Riddell> good
17:43 <Riddell> wget http://kubuntu.org/~jriddell/tmp/flashplugin-nonfree_9.0.48.0.2+really0ubuntu12.2_i386.deb
17:44 <Riddell> dpkg --install flashplugin-nonfree_9.0.48.0.2+really0ubuntu12.2_i386.deb
17:44 <Riddell> md5sum /usr/lib/flashplugin-nonfree/libflashplayer.so
17:46 <bazhang> this is connecting me to macromedia (the second command) is that right?
17:48 <Riddell> yes
17:48 <bazhang> just taking a while
17:49 <bazhang> 13ce705df5d47422a9192b29827544e8 /usr/lib/flashplugin-nonfree/libflashplayer.so
17:50 <Riddell> excellent

 affects ubuntu/gutsy/flashplugin-nonfree
 status confirmed
 subscribe

People are complaining about broken upgrades (bug 189978), the package
in gutsy-updates still seems broken.

Changed in flashplugin-nonfree:
status: Fix Released → Confirmed

I just got the new package from gutsy-updates to install with update manager, it seems to have failed:

Preconfiguring packages ...
(Reading database ... 136118 files and directories currently installed.)
Preparing to replace flashplugin-nonfree 9.0.48.0.2+really0ubuntu12 (using .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12.1_i386.deb) ...
Unpacking replacement flashplugin-nonfree ...
Setting up flashplugin-nonfree (9.0.48.0.2+really0ubuntu12.1) ...
Installing from local file /var/cache/flashplugin-nonfree/install_flash_player_9_linux.tar.gz
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

Diego Gaustein (gregorovius) wrote :

Sorry for the spam: after purging the package and reinstalling it, it works as intended.

My flashplugin-nonfree is b0rked on gutsy/amd64 by latest update (today 2008-02-07), exactly as
reported by Diego Gaustein (immediately above).

> My flashplugin-nonfree is b0rked on gutsy/amd64 by latest update (today 2008-02-07), exactly as
> reported by Diego Gaustein (immediately above).

The fix for this is as follows:

$ sudo rm -f
/var/cache/flashplugin-nonfree/install_flash_player_9_linux.tar.gz

I imagine this is being worked on to fix, as was noted earlier today.
If you encounter these problems, please enter this command, and try again.

In general, don't trust people who tell you to "sudo rm" anything :)
But this is an exception, as it's just a file that apt downloads for
you. The problem is that it's using your local copy, which is broken.
If you delete your local copy, apt will get the new (and working) one,
and everything should go fine. If not, post the problem.

Please try 9.0.48.0.2+really0ubuntu12.2 (gutsy) and 9.0.48.0.0ubuntu1~7.04.3 (feisty).

Ryan Ahearn (ryan-c-ahearn) wrote :

gutsy 12.1 -> 12.2 upgrade via Update Manager went smoothly for me. Flash was working and still does, looks like it used the installer that was downloaded when I installed 12.1.

Kjell Braden (afflux) wrote :

Several people in #ubuntu-de confirmed that 9.0.48.0.2+really0ubuntu12.2 fixed their issues.

Jonathan Riddell (jr) on 2008-02-08
Changed in flashplugin-nonfree:
status: Confirmed → Fix Released
Tom Inglis (tominglis) wrote :

Hey,

I just installed this update, and it has broken my flash in Konqueror 3.5.8 and Opera 9.25.

I tried purging it and then installing again as recommended at the top of this thread but that does no good.

I am constantly getting crashes in nspluginviewer in Konqueror, and flash applets don't run in either Konqueror or Opera.

I am running Kubuntu 7.10, The Gutsy Gibbon, and have all updates installed. This version of Flash works fine on Firefox 2.0.0.12.

Tom

Dara Adib (daradib) wrote :

This is a known issue. The new version of Flash is only compatible with 9.50 Beta 2 of Opera (and later). The new version of Flash is incompatible with Konqueror because it requires XEmbed (Bug 174343).

Tom Inglis (tominglis) wrote :

!

Why on earth has been this released on Kubuntu Gutsy then? Is it a backport? Is there any way I can get back the nice old version that worked!?

> !
>
> Why on earth has been this released on Kubuntu Gutsy then? Is it a
> backport? Is there any way I can get back the nice old version that
> worked!?

It was released to Gutsy because everyone who doesn't use Konqueror was
broken before, and every new Gutsy user was unable to use Flash. Not
exactly ideal. So it was decided that this would happen so everyone
else could have working stuff. It took so long to fix *those* people
because everyone else was worried about what would happen to current
Konqueror users and how that wasn't good. Scroll up on the bug for the
entire discussion about it if you're curious.

Anyone else here who's more proficient in .deb files want to offer one
that contains the old version? I think that's a good solution for
people who run into this. Not as good as Konqueror fixing itself, but
easier and more immediate until moving to Hardy (where Konqueror is fixed).

Sorry about the inconvenience.

> Anyone else here who's more proficient in .deb files want to offer one
> that contains the old version? I think that's a good solution for
> people who run into this. Not as good as Konqueror fixing itself, but
> easier and more immediate until moving to Hardy (where Konqueror is fixed).

This is not possible. Due to the nature of the very restricted license
of the Flash plugin, the "flashplugin-nonfree" package is merely an
installer wrapper which downloads the plugin from Macromedia and
installs it. Since they don't ship the old version any more, rolling
back the package version wouldn't fix anything for anyone.

If you use Flash on Konqueror, please enable gutsy-proposed and help
testing the packages there (which fix Flash for Konqueror).

Thank you!

In the process of doing SRU verification for bug 184149 I updated the backport of flashplugin-nonfree for dapper. The package is currently in the hold queue for dapper-backports and I've attached a debdiff.

Brian Murray (brian-murray) wrote :

Maritn - What is the intent of the Dapper and Edgy tasks in this bug? flashplugin-nonfree is at 7.0 for both Dapper and Edgy at the moment bug 9.0 exists in the -backports repositories for both of them. If this is something that becomes fixed via -backports would the Dapper and Edgy tasks the become Fix Released even though they aren't generally available or should the tasks stay at Confirmed?

> Maritn - What is the intent of the Dapper and Edgy tasks in this bug?
> flashplugin-nonfree is at 7.0 for both Dapper and Edgy at the moment bug
> 9.0 exists in the -backports repositories for both of them. If this is
> something that becomes fixed via -backports would the Dapper and Edgy
> tasks the become Fix Released even though they aren't generally
> available or should the tasks stay at Confirmed?

Dapper and Edgy weren't done by Jonathan yet because the version was
significantly older and Jonathan had some concerns about automatic
upgrades. He said that there was more work to do for them, but I don't
know details.

Jonathan, any idea about the packages in -backports?

That said, if the package in -backports is known to work (or, if
Brian's patch applied to it does), it should be moved to -proposed,
and finally to -updates.

To all ubuntu users who want this problem to be fixed with future adobe flash update :

I contacted Adobe and I asked them to add permanent links to all flash linux version so we don't get md5sums errors and weeks of waiting when flash updates introduces additional problems. Adobe answered and suggested that all linux users that wish this ask for it here :

http://www.adobe.com/go/wish

I invite all of you to go to that link and to ask Adobe to provide permanent links for linux flash versions. If they receive enough request, most probably that we will successfully fix this issue, permanently! Let's show to Adobe how ubuntu community is cooperative!

Conrad Knauer (atheoi) wrote :

Saïvann Carignan: Why not request that Adobe simply set up a DEB repository? (They have a YUM (RPM-based) repository; see http://blogs.adobe.com/penguin.swf/2007/06/new_installation_method.html) or why not get Canonical to get Adobe's Flash into the partner repos?

And regarding "we will successfully fix this issue, permanently! Let's show to Adobe how ubuntu community is cooperative!" The only way that's going to happen is if Gnash (http://en.wikipedia.org/wiki/Gnash) or similar advances enough that it can be pre-installed in Ubuntu, finally making that piece of proprietary software unnecessary once and for all ^_- Or Adobe makes flash into software libre... but I'm not going to hold my breath on THAT faint hope.

Oliver Gerlich (ogerlich) wrote :

Not sure if this is the right place for this comment, but in my opinion the real problem in this case was that Adobe mixed security fixes and "major changes" (which made Flash no longer working with existing software like Konqueror) into a single release.

This is something that can probably only be prevented either by Adobe offering stable versions for longer time, or by having an open-sourced alternative like Gnash that allows Ubuntu to maintain stable versions and manually backport security fixes.

Also, I think that trying to find a way to install old Flash versions is the wrong solution, because it would deliberatly install software with known security holes. During the last months, Ubuntu+Flash+Konqueror/Opera users were probably an easy target for an attacker: they were all vulnerable and had quite predictable software environment (read: most likely all users had the same Konqueror/Opera version and the same libraries installed). So I think the solution that was used here (to keep back the update) was quite dangerous, and should not be repeated in the future.

As for Adobes wishlist, maybe it would be more appropriate to ask for long-supported stable versions with stable interfaces?

Saivann Carignan (oxmosys) wrote :

Conrad Knauer : This bug report is about flashplugin-nonfree that has problems installing flash because flashplugin-nonfree has no way to download the good flash version once it has been updated by Adobe. Since we can't fix this by ourselves (Flash cannot be distributed), the logical way to fix the issue with flashplugin-nonfree is to have direct download link to all flash linux versions, and this can only be fixed by Adobe (unless there is are genius idea I did not have).

Deb repository from adobe and gnash are great ideas, but the first one won't give direct access to already tested flash for new ubuntu users and the second one suggest that gnash will "replace" flash, this is not the case. If some ubuntu users want flash (apparently a lot), I see no reason why we should not do our best to bring flash to ubuntu users, even if gnash get very popular and flash less popular. Your suggestions are great workarounds but not solutions for the flashplugin-nonfree problem which will continue to affect ubuntu users if we don't ask Adobe to provide links to fix flashplugin-nonfree. That's why I transmit the Adobe invitation to ubuntu users.

Tiago Katcipis (katcipis) wrote :

well i would love to use gnash...he only problem is that here it wont work right...some flash aplications dont get right...they seen bugged, including youtube, it plays but the panel gets all messed up =(

Tiago Katcipis (katcipis) wrote :

well i would love to use gnash...the only problem is that here it wont work right...some flash aplications dont get right...they seen bugged, including youtube, it plays but the panel gets all messed up =(

Jan Claeys (janc) wrote :

Saïvan, please re-read everything in this bug report, because you don't seem to understand what is the problem. (Like Oliver says, you are asking for people to be able to install software with a security flaw and exploits publicly available, and I'm sure that's not what you really want.)

Saivann Carignan (oxmosys) wrote :

Jan Claeys & Oliver Gerlich : I totally agree about your opinion concerning the security, however, like Oliver Gerlich said in this case, we had problems since the new flash version could not be installed due to problems with konqueror so the security updates took multiples weeks before being applied. Asking for Adobe for a better release cycle is a great idea to fix the security problem and I also suggest to do so, but I also still suggest what I suggested earlier, that's two different and important requests.

My request is about fixing permanently problems when installing flash (because we have no control over the updates from Adobe), and unlike other apps like Firefox, we don't update the plugins by ourself and when it get updated, all people get installation problems. This request has great chances to be accepted, it will have no positive/negative impact on the security, it will have greatly positive impact on the installation of flash.

Your request is about asking Adobe to have a more coherent release cycle concerning security and enhancement updates to avoid people using dangerous products. This problems has less chances to be accepted by Adobe, but it's really important to ask them in order to have a good security, it will have a good impact on security and have a positive impact on the delay before which we can update with the security update.

So even if I invite people to ask Adobe for the permanent links, other request like your one might be very important as well since they target other important direct aspects of the bug and I don't want to argue more about this, my opinion is not the only one. Since Adobe gave to us an invitation about my idea, why don't you suggest also your own ideas as well? Thanks and sorry for the noise.

Noel J. Bergman (noeljb) wrote :

The problem is the nature of the link between the package and the real code that it downloads from Adobe.

Adobe maintains the URL to point to the current code, which is what we want (as noted, they *could* maintain links to security fixed older versions, but it is likely that they will maintain only a single release with both fixes and enhancements).

The content available from Adobe is going to change. Either Ubuntu has to be timely in getting updated packages with an updated MD5SUM, to detect file corruption from the transfer, whenever Adobe updates the download, or change the approach. Some options that come to mind: (a) skip the MD5SUM check, (b) download the MD5SUM from Adobe, or (c) work with Adobe on a signed download. One would still want to push out a new package when Adobe revs Flash to cause users to refetch from the URL (and to handle any dependency updates), but the package should otherwise be less dependent on the download from Adobe, since it would no longer have an embedded checksum.

> The content available from Adobe is going to change. Either Ubuntu has
> to be timely in getting updated packages with an updated MD5SUM, to
> detect file corruption from the transfer, whenever Adobe updates the
> download, or change the approach. Some options that come to mind: (a)
> skip the MD5SUM check, (b) download the MD5SUM from Adobe, or (c) work
> with Adobe on a signed download. One would still want to push out a new
> package when Adobe revs Flash to cause users to refetch from the URL
> (and to handle any dependency updates), but the package should otherwise
> be less dependent on the download from Adobe, since it would no longer
> have an embedded checksum.

The md5sum on our end is pretty important, actually: we *want* to know
when the content changes, and then not work until it's QA'd to not cause
major problems. Getting the MD5 from them doesn't really fix that.
Because we used our own md5's here, we were able to detect a version
change, figure out it didn't work on Konqueror, and then decide what to
do next. If not, konqueror would just explode randomly and we'd have to
track down why.

The best solution that we can actually hope for is versioned downloads
from Adobe. That one might actually happen if enough people complain.
Then we can split up who gets what file if necessary; this would have
solved the problems we had with this bug.

Barring that, the current solution is probably best. This would have
been an overnight fix if Konqueror wasn't broken, which isn't so bad.
And I'd rather talk about what to do about Konqueror and decide to break
it than have it broken for us without any input :)

But normal people should have something to bear, a message that notifies them of this problem, i.e.
"The package does not match our checked version and the installation is broken, please wait for an upgrade."
*OR*
Ask the user if they would like to download it: "The package seems updated or altered. Would you like to install it anyway?"
And warn them: "WARNING! This is not safe, are you sure you want to continue?"
Also link the "safe" word to a wiki page explaining why :)

On Thu, 2008-02-21 at 17:42 +0000, Jim wrote:
> The md5sum on our end is pretty important, actually: we *want* to know
> when the content changes, and then not work until it's QA'd to not cause
> major problems.

That's fine for development releases, but once the stable release has
been made, you've got your users to think about. This should _not_ be a
fatal error. Toss a popup if you must, but leaving the user high and dry
with respect to flash _every time Macromedia makes a new release_ is
really bad.

What's been really problematic is that the issues have been found in the
latest release of flash affect a small number of users (and has taken a
long time to resolve), but the package prevents all users from
installing it.

> That's fine for development releases, but once the stable release has
> been made, you've got your users to think about. This should _not_ be a
> fatal error. Toss a popup if you must, but leaving the user high and dry
> with respect to flash _every time Macromedia makes a new release_ is
> really bad.

It should be a fatal error as you have no idea what's in that zip file
that you're about to spew on the system. It may or may not work. It
may or may not break things, and it may or may not work in some
browsers. Leaving your users high and dry for a day before the updated
.deb can be put out is better than not getting a chance to test what you
release.

You quite simply can't go down that road of no-testing installations,
even if it inconveniences users.

We all agree that the current solution isn't ideal, but given Adobe's
limitations, it's the best answer. Next step: fix Adobe's limitations
to not exist in their current form.

> What's been really problematic is that the issues have been found in the
> latest release of flash affect a small number of users (and has taken a
> long time to resolve), but the package prevents all users from
> installing it.

I agree on that point: that wasn't done so well. Given that future
upgrades don't break users, the new releases would come out in a matter
of hours after some testing.

But that should be an indication of why testing is necessary: a failed
installation and a message of why it failed is infinitely better than a
successful installation that breaks browsers. Yesterday's Konqueror bug
could be tomorrow's Firefox bug, and you might break Firefox for all
users. If you had all package maintainers with that maverick mentality,
you'd end up with a generally unstable OS.

> Leaving your users high and dry for a day before the updated
> .deb can be put out is better than not getting a chance to
> test what you release.

Nit: it really isn't what Ubuntu releases. It is what Adobe releases. AIUI, Ubuntu is just a distribution vector, and trying to make sure that what Ubuntu *does* control is compatible with what Adobe releases. Are you are viewing Flash as part of the Ubuntu release rather than as a convenience package to install a widely used third party application? Is there anything about the Ubuntu package that does anything other than ensure that dependencies are met, and install the download from Adobe?

> I agree on that point: that wasn't done so well. Given that future
> upgrades don't break users, the new releases would come out in a
> matter of hours after some testing.

In which case, I hope that we won't be having this discussion in the future. It wasn't a matter of an hour or a day.

On Fri, 2008-02-22 at 21:22 +0000, Jim
> But that should be an indication of why testing is necessary: a failed
> installation and a message of why it failed is infinitely better than a
> successful installation that breaks browsers.

And better than both would be a warning of some kind that informs of the
situation, but still allows the user to override the developer's
decision to prevent the installation of software he wants.

> Yesterday's Konqueror bug
> could be tomorrow's Firefox bug, and you might break Firefox for all
> users. If you had all package maintainers with that maverick mentality,
> you'd end up with a generally unstable OS.

Implausible, since macromedia's main testing environment would obviously
be firefox.

Again, put the user in control of the situation, not the packager.

> And better than both would be a warning of some kind that informs of the
> situation, but still allows the user to override the developer's
> decision to prevent the installation of software he wants.

Unstable releases are a feature of every distribution I've heard of,
including Ubuntu.

> Implausible, since macromedia's main testing environment would obviously
> be firefox.
>
> Again, put the user in control of the situation, not the packager.

If you put the user in control of the situation, you get source code.
The very reason we don't have this is because the user doesn't want to
be in (full) control, the user wants someone else to fully test the
latest combinations and make sure it all works great. Then get the
canned packages. Do you want to patch your own kernel for exploits, or
let someone else patch them for you and ensure that they work first? Do
you want to install all your own software, or let other people see if
it's stable first?

I fully believe that this update should have been in unstable
immediately, for the reason you mentioned. But in general, allowing
opportunities for breakage just isn't an option. This fix would have
taken hours if it wasn't found to destroy Konqueror. However, the MD5
problem gave the devs time to figure out how to proceed. It also only
affected new installations, not existing ones. Stopping to evaluate
what to do about an upgrade that left some people high and dry was the
right answer. The right answer, furthermore, was to give a workaround
to the small percentage of users and let the vast majority have
workability again.

This bug was handled correctly (though I would have liked to see a
decision faster). Keeping the same mechanisms will yield correct
operation in the future.

Well I think that arguing can be great but I suggest to stop arguing and start acting. That's why I suggested people to ask Adobe for permanent links because it was a concrete action against one aspect of that bug. Some people answer to this that it's not the first priority in their opinion, but just look how many people are subscribed to that bug report, we will not all agree to the same ideas but all ideas are important. Let's all start to work around these ideas. I suggested to ask Adobe for permanent links to avoid installation errors, other suggested to ask Adobe for more coherent release cycles, others suggested that flash updates should never take more than one day before being updated in Linux ubuntu and others keep thinking that we should never break things like konqueror with a update. I think that these are all great ideas, why adding so much comments and keep arguing, let's get to work! Don't you agree? All these ideas are complementary and converge on the same target, having a secure-uptodate-working-always-installable Flash plugin.

Noel J. Bergman (noeljb) wrote :

> I suggested people to ask Adobe for permanent links

The problem is that the link should be to the latest good code, not the code with known security defects. And Ubuntu seems to be saying that they require a local checksum to forcibly break the install whenever Adobe changes the package. So a permanent link to bad code is worse than a permanent link to good code that won't install until Ubuntu gets a O2It.

Savvas Radevic (medigeek) wrote :

So let's sum up, the devs have to deal with the limited adobe flash installation:
Ease of use and circumference with a yes/no to attempt the installation even when there's an md5 mismatch (unsecure)
vs.
Some kind of visual warning until the package is properly tested (secure)

I would suggest the first one, but with a person inside Adobe to pre-test the package before releasing it (Ubuntu/Debian-Adobe cooperation?). Either case should *not* attempt to do any changes, I don't know if that's possible but anyway, let's leave it to them to decide, there's not much to do by piling up comments :)

On 02/23/2008 06:43 PM, Savvas Radević wrote:
> So let's sum up, the devs have to deal with the limited adobe flash installation:
> Ease of use and circumference with a yes/no to attempt the installation even when there's an md5 mismatch (unsecure)
> vs.
> Some kind of visual warning until the package is properly tested (secure)
>
> I would suggest the first one, but with a person inside Adobe to pre-
> test the package before releasing it (Ubuntu/Debian-Adobe cooperation?).
> Either case should *not* attempt to do any changes, I don't know if
> that's possible but anyway, let's leave it to them to decide, there's
> not much to do by piling up comments :)
>

Why not: 1) just install directly from Adobe - it's really quite simple
to do, 2) convince medibuntu (http://www.medibuntu.org/) to include in
their repository in the same way that they include the Adobe Reader? At
least medibuntu do a fairly good job of keeping their repo updated.

This "bug" is starting to look like it needs to be ported to the sounder
mail list (https://lists.ubuntu.com/mailman/listinfo/sounder) rather
than continue in launchpad. Purge flashplugin-nonfree and flag it as
failed and be done with it.

Installing directly from Adobe is not an acceptable option. It is not good for package management, and more importantly, does not let 64-bit users use the flashplugin. The package should be in Ubuntu, not Medibuntu, since this package (although non-free) is essential for many Ubuntu "humans". However, Medibuntu can have updated versions of flashplugin-nonfree, coinciding with the ones in the Ubuntu repositories.

Ian Alderman (ian-alderman) wrote :

After upgrading from feisty last night, I'm having this problem now. Perhaps adobe has released a new version.

I think there are two bugs here that aren't being clearly addressed:

1) when the package gets installed and fails, the package management infrastructure should detect that condition and set the package state to broken.

2) when the package gets installed and fails, browser configuration should be fixed so that browsers don't hang.

Dara Adib (daradib) wrote :

Mr. Alderman, the first bug is Bug 175255. As regards to the second, I am not sure what you are referring to, as I don't believe the browsers hang (at least for Firefox), unless you are referring to Konqueror/Opera (I don't know the situation with these browsers).

viyyer (viyyer) wrote :

Is this bug fixed ? The status message is that the fix is released. But on installing the new version I still get the same error. I am I missing something or the bug is still not fixed if so please change the status message.

Saivann Carignan (oxmosys) wrote :

Do you exactly have this error? :

md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

Note that this bug is not fixed in dapper and edgy. And I just installed flashplugin-nonfree in Hardy and had no problem.

era (era) wrote :

viyyer: the situation is somewhat complex. Please read the notes in the bug description. If none of the hints there solve the problem for you then please supply the information which is being requested up there (where "up" refers to the top of the Launchpad web page where this bug lives; you could of course be reading this in email or somewhere).

1. The fix for Adobe's upgrade to 9.0.115.0 is released. In order to get the fixed version you need to have the right repository. Again, please refer to the bug description.

2. If you ran the erroneous flashplugin-nonfree package then some of the files it left behind might be confusing the fixed version. Again, please refer to the bug description for hints and pointers.

3. If Adobe releases a new upgrade which replaces 9.0.115.0 then we will have this situation again, but there should probably be a separate bug about that if and when it happens.

Eventually, if and when bug #175255 is fixed, case 2. should no longer apply.

Ultimately, wouldn't it be nice if case 3. could also be prevented from happening any longer in the future. I may be confused but I believe the "metabug" tag on this bug means it is still the proper place for further discussion for this case. If not, could someone please update the bug description with a pointer to the proper bug for that, too.

Tangentially, the "Fix Released" doesn't apply to Dapper and Edgy, so for those parts, this bug is still open (at least for considering a backport to those releases).

Yay... looks like this has reared its ugly head again:

Platform: amd64 Ubuntu 8.04 Beta as of April 8 2008.
Filename: pool/multiverse/f/flashplugin-nonfree/flashplugin-nonfree_9.0.115.0ubuntu5_amd64.deb

md5sum mismatch

Saivann Carignan (oxmosys) wrote :

Setting back to confirmed in Gutsy and Hardy, md5sums mismatch happens again because of new 9.0.124.0 release.

Changed in flashplugin-nonfree:
status: Fix Released → Confirmed
status: Fix Released → Confirmed
Conrad Knauer (atheoi) wrote :

If it helps any, the "Adobe Flash Player version 9.0.124.0 .tar.gz for Linux (x86)" from http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash has the following properties:

name: install_flash_player_9_linux.tar.gz
size: 3044538 bytes
md5sum: a311fd97aa6c214f63dc089a20cf7a39

LaserJock (laserjock) wrote :

Fixed in Hardy.

Changed in flashplugin-nonfree:
status: Confirmed → Fix Released
Amit Patel (amit-gmx) wrote :

I updated the md5sums in debian/config and debian/postinst, which seems to fix it. In addition to the md5sum on the tarball, the md5sum for libflashplayer.so is 1f26a6eeb8c06acf0af9433da2312d54.

LaserJock (laserjock) wrote :
Changed in flashplugin-nonfree:
status: Confirmed → In Progress
Conrad Knauer (atheoi) wrote :

In Hardy the 9.0.124.0 update DEB just came through on my system and installed without incident; I also wanted to further report that I tested it on http://www.adobe.com/products/flash/about/ and it works fine, thanks! :)

Simon Dalley (dalley-simon) wrote :
Download full text (4.3 KiB)

Houston, we still have a problem. To my knowledge and belief, I have carefully followed the Official Fix instructions given in bug #173890, including apt-get clean and apt-get autoclean.

On my Gutsy system:

I have only Ubuntu repositories enabled (comment lines snipped):
  root@odyssius:/home/simon# cat /etc/apt/sources.list
  deb-src http://archive.ubuntu.com/ubuntu/ gutsy restricted main #Added by software-properties

  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy main restricted
  deb-src http://gb.archive.ubuntu.com/ubuntu/ gutsy restricted main multiverse universe #Added by software-properties
  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy-updates main restricted
  deb-src http://gb.archive.ubuntu.com/ubuntu/ gutsy-updates restricted main multiverse universe #Added by software-properties

  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy universe
  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy-updates universe
  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy multiverse
  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy-updates multiverse

  deb http://security.ubuntu.com/ubuntu gutsy-security main restricted
  deb-src http://security.ubuntu.com/ubuntu gutsy-security restricted main multiverse universe #Added by software-properties
  deb http://security.ubuntu.com/ubuntu gutsy-security universe
  deb http://security.ubuntu.com/ubuntu gutsy-security multiverse
  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy-proposed restricted main multiverse universe
  deb http://gb.archive.ubuntu.com/ubuntu/ gutsy-backports restricted main multiverse universe
  root@odyssius:/home/simon#

I then purge and attempt to reinstall the package:
  root@odyssius:/home/simon# apt-get remove -y --purge flashplugin-nonfree
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  The following packages will be REMOVED
    flashplugin-nonfree*
  0 upgraded, 0 newly installed, 1 to remove and 6 not upgraded.
  Need to get 0B of archives.
  After unpacking 160kB disk space will be freed.
  (Reading database ... 206773 files and directories currently installed.)
  Removing flashplugin-nonfree ...
  Purging configuration files for flashplugin-nonfree ...
  root@odyssius:/home/simon# apt-get install flashplugin-nonfree
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  Suggested packages:
  konqueror-nsplugins ttf-xfree86-nonfree xfs
  The following NEW packages will be installed
    flashplugin-nonfree
  0 upgraded, 1 newly installed, 0 to remove and 6 not upgraded.
  Need to get 0B/18.2kB of archives.
  After unpacking 160kB of additional disk space will be used.
  Preconfiguring packages ...
  Selecting previously deselected package flashplugin-nonfree.
  (Reading database ... 206767 files and directories currently installed.)
  Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_9.0.48.0.2+really0ubuntu12.2_i386.deb) ...
  Setting up flashplugin-nonfree (9.0.48.0.2+really0ubuntu12.2) ...
  Downloading...
(snipped dl stuff)
  --17:17:03-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_f...

Read more...

Saivann Carignan (oxmosys) wrote :

Simon Dalley : You can look at the status of the bug in Gutsy, it's "In Progress" but not yet fixed in Gutsy.

John Vivirito (gnomefreak) wrote :

This will happen on every release of flash that comes out. they release it without notifing anyone and than it takes a while to build it for all supported versions of Ubuntu.

era (era) wrote :

> they release it without notifing anyone

http://www.adobe.com/support/security/ has a link where you can subscribe to their security advisories. There's an email link there.

I don't know when exactly the advisory for this was published in reality but it's dated yesterday. I also have no idea whether subscribers to their email alerts have received a notification. Still worth a try, I guess.

That's http://www.adobe.com/support/security/bulletins/apsb08-11.html for the .124 advisory.

era (era) wrote :

Looks to me like http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=432755 would be the more appropriate upstream bug in Debian. It was already in the "Remote Watch" list so it seems that somebody already put it in. I'm adding a comment in case somebody wants to revert back to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=454366 -- however that seems to only track the 9.0.115.0 release which is Fix Released and will likely stay that way.

era (era) wrote :

Also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475129 appears to track the 9.0.124.0 upgrade specifically.

LaserJock (laserjock) wrote :

The new Gutsy packages have entered gutsy-proposed. Please test to make sure that Flash works correctly and report back success or failure. Thanks.

Changed in flashplugin-nonfree:
status: In Progress → Fix Committed
Saivann Carignan (oxmosys) wrote :

Success for Gutsy, using konqueror 32bit with the latest package from gutsy-proposed. Youtube and other sites works.

Martin Pitt (pitti) wrote :

Copied to gutsy-updates. I'll remove the verification tag again, so that we can use it for dapper and feisty (and edgy, if someone feels like it).

Changed in flashplugin-nonfree:
status: Fix Committed → Fix Released
Miles Polte (milop) wrote :

Still doesn't seem fixed in amd64.

Miles Polte (milop) wrote :

Nevermind.

xtknight (xt-knight) wrote :

9.0.124.0 update for feisty-proposed

This works in my Feisty VM.

Packages are on my PPA: https://launchpad.net/~xt-knight/+archive

NERVERMIND!

NQd
2008-04-11

发件人: Miles Polte
发送时间: 2008-04-11 06:21:34
收件人: <email address hidden>
抄送:
主题: [Bug 173890] Re: flashplugin-nonfree fails to install due to md5summismatch

Nevermind.

--
flashplugin-nonfree fails to install due to md5sum mismatch
https://bugs.launchpad.net/bugs/173890
You received this bug notification because you are a direct subscriber
of the bug.

Status in The synaptic package manager: Invalid
Status in Source Package "flashplugin-nonfree" in Ubuntu: Fix Released
Status in flashplugin-nonfree in Ubuntu Dapper: Confirmed
Status in flashplugin-nonfree in Ubuntu Edgy: Confirmed
Status in flashplugin-nonfree in Ubuntu Feisty: Fix Released
Status in flashplugin-nonfree in Ubuntu Gutsy: Fix Released
Status in Source Package "flashplugin-nonfree" in Baltix GNU/Linux: New
Status in Source Package "flashplugin-nonfree" in Debian GNU/Linux: Unknown

Bug description:
Binary package hint: flashplugin-nonfree

flashplugin-nonfree package fails to install with the following error:

md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

Could be a new version of flash plugin released for download?

*** IMPORTANT NOTICE ***
The fix for this plugin has been released (let's hope that it will last and adobe won't change the md5sum again)
>From the menu:
System - > Administration - > Software sources - > be sure than you have selected the "main", "universe", "restricted" and multiverse".
Then go to the Updates tab - > check "security", "updates" and "proposed"
Now "Close" and "Reload".

after that, do this in the terminal:
sudo apt-get remove --purge flashplugin-nonfree
sudo apt-get install flashplugin-nonfree

*** IMPORTANT NOTICE no.2 ***
For all of you that *STILL* complain, which repositories do you use?
Check if your repositories are up to date: https://launchpad.net/ubuntu/+archivemirrors
Otherwise, try switching to "Download from" - > "Main server" (at system - > administration - > software sources)
Close and Reload.

Then do this in terminal:
sudo apt-get clean
sudo apt-get autoclean
sudo apt-get update
sudo apt-get remove -y --purge flashplugin-nonfree
sudo apt-get install flashplugin-nonfree

If the above don't work, please post your Ubuntu version release and apt-cache policy flashplugin-nonfree info, it will be easier to track down.

druisan (druisan) wrote :

Since I have been corrected the mistake, I just had to reinstall flash

Thanks to all

Luca Falavigna (dktrkranz) wrote :

Edgy will reach End Of Life status on April 26, so there is no time to release this SRU this in time.

Changed in flashplugin-nonfree:
assignee: imbrandon → nobody
status: Confirmed → Won't Fix
Changed in flashplugin-nonfree:
status: Unknown → Fix Released
John Vivirito (gnomefreak) wrote :

This is not fixed in Gutsy. Gutsy still has 9.0.48 and is failing the md5sums. I just got a bug about Gutsy flash still being 9.0.48 in gutsy has this not been pushed out of -proposed? bug #231171 is the bug that i got. I asked for his sources.list file until than i would like this to stay open incase ther eis a problem in Gutsy.

Changed in flashplugin-nonfree:
status: Fix Released → Confirmed
John Vivirito (gnomefreak) wrote :

Usert had wrong sources.

Changed in flashplugin-nonfree:
status: Confirmed → Fix Released
Yves Glodt (yglodt) wrote :

In dapper, as of today, the install (still) fails with md5 checksum error:

0:18:59 (84.37 KB/s) - `./install_flash_player_9_linux.tar.gz' saved [3044538/3044538]

Download done.
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

This is my sources.list:
deb http://be.archive.ubuntu.com/ubuntu/ dapper main restricted
deb http://be.archive.ubuntu.com/ubuntu/ dapper-updates main restricted
deb http://be.archive.ubuntu.com/ubuntu/ dapper-proposed main restricted
deb http://be.archive.ubuntu.com/ubuntu/ dapper universe
deb http://be.archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu dapper-security main restricted
deb http://security.ubuntu.com/ubuntu dapper-security universe

> In dapper, as of today, the install (still) fails
Are you trying to upgrade the version from dapper-backports?
open Applications > Accessories > Terminal and type: apt-cache policy
flashplugin-nonfree
If you see version 9.0.48.0.0ubuntu11~dapper3, then I think that the
new version 9 is not officially supported, since it's in
dapper-backports (right?)

If I were you, I would be looking to smoothly upgrade to hardy :)

druisan (druisan) wrote :

But I never use dapper, I started with 7.04, 7.10 and now I use 8.04 LTS.

John Vivirito (gnomefreak) wrote :

Savvas Radević wrote:
>> In dapper, as of today, the install (still) fails
>>
> Are you trying to upgrade the version from dapper-backports?
> open Applications > Accessories > Terminal and type: apt-cache policy
> flashplugin-nonfree
> If you see version 9.0.48.0.0ubuntu11~dapper3, then I think that the
> new version 9 is not officially supported, since it's in
> dapper-backports (right?)
>
> If I were you, I would be looking to smoothly upgrade to hardy :)
>
>
Please do a clean install instead of upgrade.
reasons:
1. we dont support upgrade when used to skip releases as in dapper
    > hardy isnt supported it would have to be dapper > edgy > feisty
    > gutsy > hardy
2. doing the above supported upgrade will only cause you problems
    with unofficial packages and some packages that changed names
    ect...
3. Take a lot longer to upgrade

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

John.Michael.Kane (j.m.k) wrote :

 John Vivirito, while doing a clean install is best in certain circumstances
there can be cases where a clean install cannot be performed eg no way to
back up important data.

Also, according to the Ubuntu wiki one should be able upgrade from one LTS
release to next without having to upgrade to each middle release.
https://help.ubuntu.com/community/HardyUpgrades#Upgrade%20from%206.06%20LTS%20to%208.04%20LTS

On Tue, Jul 29, 2008 at 8:42 AM, John Vivirito <email address hidden> wrote:

> Savvas Radević wrote:
> >> In dapper, as of today, the install (still) fails
> >>
> > Are you trying to upgrade the version from dapper-backports?
> > open Applications > Accessories > Terminal and type: apt-cache policy
> > flashplugin-nonfree
> > If you see version 9.0.48.0.0ubuntu11~dapper3, then I think that the
> > new version 9 is not officially supported, since it's in
> > dapper-backports (right?)
> >
> > If I were you, I would be looking to smoothly upgrade to hardy :)
> >
> >
> Please do a clean install instead of upgrade.
> reasons:
> 1. we dont support upgrade when used to skip releases as in dapper
> > hardy isnt supported it would have to be dapper > edgy > feisty
> > gutsy > hardy
> 2. doing the above supported upgrade will only cause you problems
> with unofficial packages and some packages that changed names
> ect...
> 3. Take a lot longer to upgrade
>
> --
> Sincerely Yours,
> John Vivirito
>
> https://launchpad.net/~gnomefreak <https://launchpad.net/%7Egnomefreak>
> https://wiki.ubuntu.com/JohnVivirito
> Linux User# 414246
>
> --
> flashplugin-nonfree fails to install due to md5sum mismatch
> https://bugs.launchpad.net/bugs/173890
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

John Vivirito (gnomefreak) wrote :

John.Michael.Kane wrote:
> John Vivirito, while doing a clean install is best in certain circumstances
> there can be cases where a clean install cannot be performed eg no way to
> back up important data.
>
> Also, according to the Ubuntu wiki one should be able upgrade from one LTS
> release to next without having to upgrade to each middle release.
> https://help.ubuntu.com/community/HardyUpgrades#Upgrade%20from%206.06%20LTS%20to%208.04%20LTS
>
>
> On Tue, Jul 29, 2008 at 8:42 AM, John Vivirito <email address hidden> wrote:
>
>
>> Savvas Radević wrote:
>>
>>>> In dapper, as of today, the install (still) fails
>>>>
>>>>
>>> Are you trying to upgrade the version from dapper-backports?
>>> open Applications > Accessories > Terminal and type: apt-cache policy
>>> flashplugin-nonfree
>>> If you see version 9.0.48.0.0ubuntu11~dapper3, then I think that the
>>> new version 9 is not officially supported, since it's in
>>> dapper-backports (right?)
>>>
>>> If I were you, I would be looking to smoothly upgrade to hardy :)
>>>
>>>
>>>
>> Please do a clean install instead of upgrade.
>> reasons:
>> 1. we dont support upgrade when used to skip releases as in dapper
>> > hardy isnt supported it would have to be dapper > edgy > feisty
>> > gutsy > hardy
>> 2. doing the above supported upgrade will only cause you problems
>> with unofficial packages and some packages that changed names
>> ect...
>> 3. Take a lot longer to upgrade
>>
>> --
>> Sincerely Yours,
>> John Vivirito
>>
>> https://launchpad.net/~gnomefreak <https://launchpad.net/%7Egnomefreak>
>> https://wiki.ubuntu.com/JohnVivirito
>> Linux User# 414246
>>
>> --
>> flashplugin-nonfree fails to install due to md5sum mismatch
>> https://bugs.launchpad.net/bugs/173890
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>>
>
>
Its worth a try but either way back up everything you need. Im not sure
how many times this has been tested outside of the developers.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Daeng Bo (daengbo) wrote :

>
> Also, according to the Ubuntu wiki one should be able upgrade from one LTS
> release to next without having to upgrade to each middle release.
>
> https://help.ubuntu.com/community/HardyUpgrades#Upgrade%20from%206.06%20LTS%20to%208.04%20LTS
>

Also here: https://help.ubuntu.com/community/HardyUpgrades
"You can directly upgrade to Ubuntu 8.04 LTS ("Hardy Heron") from Ubuntu
7.10 ("Gutsy Gibbon") or from Ubuntu 6.06 LTS ("Dapper Drake"). This page
contains instructions for both."

druisan (druisan) wrote :

I
AM
USING
UBUNTU
8.04.1

Thanks.

Daeng Bo (daengbo) wrote :

Yes, we know. Savaas was responding to Yves comment:
:
"In dapper, as of today, the install (still) fails with md5 checksum
error:
..."

On Tue, Jul 29, 2008 at 12:42:29PM -0000, John Vivirito wrote:
> Savvas Radević wrote:
> >> In dapper, as of today, the install (still) fails

> > Are you trying to upgrade the version from dapper-backports?
> > open Applications > Accessories > Terminal and type: apt-cache policy
> > flashplugin-nonfree
> > If you see version 9.0.48.0.0ubuntu11~dapper3, then I think that the
> > new version 9 is not officially supported, since it's in
> > dapper-backports (right?)

> > If I were you, I would be looking to smoothly upgrade to hardy :)

> Please do a clean install instead of upgrade.
> reasons:
> 1. we dont support upgrade when used to skip releases as in dapper
> > hardy isnt supported it would have to be dapper > edgy > feisty
> > gutsy > hardy

We most certainly do support upgrades from 6.06 LTS directly to 8.04 LTS.
If there are packages that are causing upgrade failures when upgrading
dapper->hardy, those should be considered candidates for SRU fixes.

In fact, going directly from dapper to hardy is the *only* supported upgrade
path at this point, because edgy has already been end-of-lifed so dapper ->
edgy is not supported.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Rich Fromm (nospam420) wrote :

Still getting md5sum mismatch on 2008-08-08 on gutsy.

22:44:25 (159.64 KB/s) - `./install_flash_player_9_linux.tar.gz' saved [3044538/3044538]

Download done.
md5sum mismatch install_flash_player_9_linux.tar.gz
The Flash plugin is NOT installed.

root@stout:/etc/apt# apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Installed: 9.0.48.0.2+really0ubuntu12
  Candidate: 9.0.48.0.2+really0ubuntu12
  Version table:
 *** 9.0.48.0.2+really0ubuntu12 0
        500 http://us.archive.ubuntu.com gutsy/multiverse Packages
        100 /var/lib/dpkg/status
root@stout:/etc/apt#

I don't know what the long term solution is, but I do think I agree that an option of continuing in the event of an md5sum mismatch would be nice, esp. if this is likely to keep happening. It could even list the expected md5sum, the actual md5sum, and a URL that would give more info explaining the issue, and that page could probably be updated much more quickly with updated checksums if adobe breaks things compared to actually putting out the new packages.

Rich Fromm (nospam420) wrote :

Even just knowing how to work around this now would be nice (sorry if it's in the comments here, but there's quite a lot of them). e.g. can i edit a file somewhere and paste in the correct checksum and have the package install work

oz (shamaniacwizardfromoz) wrote :

OK, here is my extremly dangerous don't-do-this-@localhost workaround:
1. Make a propoer backup of your system (I mean it!).
2. sudo bash
3. apt-get remove flashplugin-nonfree
4. cd /usr/bin/
5. mv md5sum md5sum-real
6. ln -s /bin/true md5sum
7. apt-get install flashplugin-nonfree
8. rm md5sum
9. mv md5sum-real md5sum
10. exit

This is dangerous! So don't do it!

Luca Falavigna (dktrkranz) wrote :

Since Dapper SRU could be problematic, I'm marking its task as Won't Fix for now. Please reopen if you have an update handy.

Changed in flashplugin-nonfree:
status: Confirmed → Won't Fix

This must have just broken again.. It fails to install on Intrepid amd64:

Linux xps 2.6.27-9-generic #1 SMP Thu Nov 20 22:15:32 UTC 2008 x86_64 GNU/Linux
...
Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_10.0.12.36ubuntu1_amd64.deb) ...
Setting up flashplugin-nonfree (10.0.12.36ubuntu1) ...
...
Download done.
md5sum mismatch install_flash_player_10_linux.tar.gz
The Flash plugin is NOT installed.

From Adobe's site, the current version listed is:

Adobe Flash Player version 10.0.15.3

Noel J. Bergman (noeljb) wrote :

> This must have just broken again

Of course it did. It will break every time Adobe issues new code until Ubuntu puts out a matching package, as was discussed to death above.

> It fails to install on Intrepid amd64

 It is perfectly easy to install the Adobe 64-bit plugin directly.

Sebastian Kapfer (caci) wrote :

> It is perfectly easy to install the Adobe 64-bit plugin directly.

Of course this is not the point of having it packaged :-)

Since Adobe offers .deb packages directly, why can't they get set up as an apt source and use a signed package instead of this download mechanism? Wouldn't that fix this issue once and for all instead of having to always have a period where users are broken whenever Adobe bumps a version?

Sebastian Kapfer (caci) wrote :

Well, the issue probably is quality control :-)

Noel J. Bergman (noeljb) wrote :

> > It is perfectly easy to install the Adobe 64-bit plugin directly.
> Of course this is not the point of having it packaged :-)

No. Having the 64-bit version packaged is Bug 299146. :-)

Either way, anyone wanting to use the Ubuntu package is going to have to put up with the periodic breakage. So my point is that they can either wait for the package to go through the update process, or install it themselves. The latter being trivial in the 64-bit case, since there are no 32-bit libraries and wrapper to deal with.

None of this really does anything for the guy who just bought his Ubuntu preinstalled laptop/desktop hoping to get into Linux. Focus should be on usability of future flash updates from an end user standpoint, just make the backend logic work. When faced with end users struggling or breaking a packaging policy you should be thinking of your higher interest the end user.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Noel J. Bergman
Sent: Thursday, December 18, 2008 7:23 AM
To: <email address hidden>
Subject: [Bug 173890] Re: flashplugin-nonfree fails to install due to md5sum mismatch

> > It is perfectly easy to install the Adobe 64-bit plugin directly.
> Of course this is not the point of having it packaged :-)

No. Having the 64-bit version packaged is Bug 299146. :-)

Either way, anyone wanting to use the Ubuntu package is going to have to
put up with the periodic breakage. So my point is that they can either
wait for the package to go through the update process, or install it
themselves. The latter being trivial in the 64-bit case, since there
are no 32-bit libraries and wrapper to deal with.

--
flashplugin-nonfree fails to install due to md5sum mismatch
https://bugs.launchpad.net/bugs/173890
You received this bug notification because you are a direct subscriber
of the bug.

Noel J. Bergman (noeljb) wrote :

David,

> Focus should be on usability of future flash updates from an end user standpoint

I've already made those arguments, as have others. You can see those comments above if you read the entire set of comments.

Since the option that a user can unilaterally take *today* to work around this problem is to manually install Flash, I am simply pointing out that installing the 64-bit Flash means simply downloading Flash from Adobe, opening it with the Archive Manager, and copying a single file into a specific directory.

And how do you suggest this focus on backend logic and focus on user ease of getting flash is done ? The problem is not ubuntu, or linux in general, how can package maintainers be expected to be up to date real time with Adobe changing the file and it's location with no notice. Instead of chasing this up with ubuntu direct your focus on adobe,

Matt

-----Original Message-----

From: "David Portwood" <email address hidden>
Sent: Thu, 18 Dec 2008 18:58:21 -0000
To: <email address hidden>
Received: 18-Dec-2008 19:07:24 +0000
Subject: RE: [Bug 173890] Re: flashplugin-nonfree fails to install due to md5sum mismatch

None of this really does anything for the guy who just bought his Ubuntu
preinstalled laptop/desktop hoping to get into Linux. Focus should be on
usability of future flash updates from an end user standpoint, just make
the backend logic work. When faced with end users struggling or
breaking a packaging policy you should be thinking of your higher
interest the end user.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Noel J. Bergman
Sent: Thursday, December 18, 2008 7:23 AM
To: <email address hidden>
Subject: [Bug 173890] Re: flashplugin-nonfree fails to install due to md5sum mismatch

> > It is perfectly easy to install the Adobe 64-bit plugin directly.
> Of course this is not the point of having it packaged :-)

No. Having the 64-bit version packaged is Bug 299146. :-)

Either way, anyone wanting to use the Ubuntu package is going to have to
put up with the periodic breakage. So my point is that they can either
wait for the package to go through the update process, or install it
themselves. The latter being trivial in the 64-bit case, since there
are no 32-bit libraries and wrapper to deal with.

--
flashplugin-nonfree fails to install due to md5sum mismatch
https://bugs.launchpad.net/bugs/173890
You received this bug notification because you are a direct subscriber
of the bug.

--
flashplugin-nonfree fails to install due to md5sum mismatch
https://bugs.launchpad.net/bugs/173890
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Matt Darcy (matt-darcy) wrote :

This is not the case,

The 64bit package is still pre release and has caused problems for the majority of in experienced users installing and trying to use it. Just allow ubuntu to update the package, while long term collaberation and a solution is found.

-----Original Message-----

From: "Noel J. Bergman" <email address hidden>
Sent: Thu, 18 Dec 2008 19:56:26 -0000
To: <email address hidden>
Received: 18-Dec-2008 20:17:26 +0000
Subject: [Bug 173890] Re: flashplugin-nonfree fails to install due to md5sum mismatch

David,

> Focus should be on usability of future flash updates from an end user
standpoint

I've already made those arguments, as have others. You can see those
comments above if you read the entire set of comments.

Since the option that a user can unilaterally take *today* to work
around this problem is to manually install Flash, I am simply pointing
out that installing the 64-bit Flash means simply downloading Flash from
Adobe, opening it with the Archive Manager, and copying a single file
into a specific directory.

--
flashplugin-nonfree fails to install due to md5sum mismatch
https://bugs.launchpad.net/bugs/173890
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Kees Cook (kees) on 2008-12-19
Changed in flashplugin-nonfree:
assignee: nobody → kees
status: New → Fix Released
assignee: imbrandon → kees
assignee: nobody → kees
status: New → Fix Released

The worst part here is that the package is marked as installed altough the installation fails...

Noel J. Bergman (noeljb) wrote :

Matt,

Waiting is the first option. For those who don't want to wait, there is the DIY approach. I've done the 64-bit install multiple times (different systems) with no problems. YMMV.

Long-term solutions are either to accept the periodic breakage, for Ubuntu to relax the checks (which they don't want to do) or for Adobe to maintain their own repository for Ubuntu, which they already do for Fedora. There have been many requests to Adobe to do so, although I am not aware of a positive response from the company.

But *today* the choices are either wait for the updated package or install manually.

Leon Nardella (leon.nardella) wrote :

It seems Adobe already has a repository for Ubuntu:
http://ubuntulinuxtipstricks.blogspot.com/2008/12/adobe-flash-avoiding-md5-errors.html

Summing up:
Enable "deb http://archive.canonical.com/ubuntu intrepid partner" and install adobe-flashplugin

Noel J. Bergman (noeljb) wrote :

> It seems Adobe already has a repository for Ubuntu

That's good news, and about time. :-) I knew that Adobe was already building the .deb, but hadn't seen that they were in the third party repository. Hopefully they'll get acrobat reader into there, too, although distribution of that through medibuntu has been less problematic.

So what happens to flashplugin-nonfree? Should it be removed completely?

I hate to be a nag about the user experience, but how will end users use the intrepid partner repository pasted above? Will Ubuntu updater have an option to select partner packages? Will the OS installer allow you to select partner packages. I'm pretty sure every end user wants the adobe-flashplugin installed, so how will they easily get it without modifying apt sources somehow?

Greg Taylor (gtaylor) wrote :

Yeah, my mom/grandma would have no idea how to edit the sources. This is a critical enough component to where it needs to be very very simple to get. Things like this go directly towards bug #1. It needs to come as close to "just working" as possible to have a shot at the end goal.

Kees Cook (kees) on 2008-12-19
Changed in flashplugin-nonfree:
assignee: kees → nobody
assignee: kees → nobody
assignee: kees → nobody
Noel J. Bergman (noeljb) wrote :

> So what happens to flashplugin-nonfree? Should it be removed completely?

Perhaps. Or turned into a package that tells you how, or helps, to enable the other one? Other options?

> how will end users use the intrepid partner repository pasted above?

System->Administration->Software Sources->Third Party. Enable the "partner" choices.

> Perhaps. Or turned into a package that tells you how, or helps, to enable the other one? Other options?

Maybe temporarily until the next release when it is removed completely? It wouldn't make sense to keep the package long-term.

>> how will end users use the intrepid partner repository pasted above?
>
>System->Administration->Software Sources->Third Party. Enable the "partner" choices.

To paraphrase Greg's point, that will not work for his mom/grandma. This sounds like a small issue, but things like this are what keep Ubuntu as more of a 'geek' option. On Windows, you click 'Get Adobe Flash Player' and it installs and just works. On Linux, you get a combo box which lets you select .tar.gz, .deb, etc and it downloads those files. You're now forced to know what they are in the first place, how to use archives or how to use dpkg to install a deb file. Or, you have to know about adobe-flashplugin, know how to enable the 'partner' repo and know how to install it. There is nothing connecting the ubiquitous 'Get Adobe Flash Player' icon with installing the package. Any technical issues which prevent this from occurring (e.g. browser support, the 'partner' repo isn't enabled by default) need to be resolved for the overall Ubuntu user experience to be successful.

Ideal situation:

Ubuntu user goes to Adobe.com, clicks on 'Get Adobe Flash Player'. They are presented with a dialog saying 'To install the Adobe flash player, the adobe-flashplugin package needs to be installed.' with a button to click on to spawn the installation of the package in the update manager.

Noel J. Bergman (noeljb) wrote :

> To paraphrase Greg's point, that will not work for his mom/grandma.
> On Windows, you click 'Get Adobe Flash Player'
> On Linux, you [are] forced to know what [your options are and how to exercise them]

As I've said before, you guys are preaching to the choir. I was just observing what could be done today. At this point, I believe that a fixed package was posted by Kees, rendering this fixed until the next time. Bug 1 issues should probably be addressed elsewhere, e.g., there.

Alexander Sack (asac) wrote :

Noel J. Bergman wrote:
> Matt,
>
> Waiting is the first option. For those who don't want to wait, there is
> the DIY approach. I've done the 64-bit install multiple times
> (different systems) with no problems. YMMV.
>
> Long-term solutions are either to accept the periodic breakage, for
> Ubuntu to relax the checks (which they don't want to do) or for Adobe to
> maintain their own repository for Ubuntu, which they already do for
> Fedora. There have been many requests to Adobe to do so, although I am
> not aware of a positive response from the company.
>
> But *today* the choices are either wait for the updated package or
> install manually.
>
>
we have the binaries now in a canonical archive and will fix the
installer package to pull stuff from there. In this way no transitional
breakage will happen anymore.

Jim (jwyllie83) wrote :

Alexander Sack wrote:
> Noel J. Bergman wrote:
>
>> Matt,
>>
>> Waiting is the first option. For those who don't want to wait, there is
>> the DIY approach. I've done the 64-bit install multiple times
>> (different systems) with no problems. YMMV.
>>
>> Long-term solutions are either to accept the periodic breakage, for
>> Ubuntu to relax the checks (which they don't want to do) or for Adobe to
>> maintain their own repository for Ubuntu, which they already do for
>> Fedora. There have been many requests to Adobe to do so, although I am
>> not aware of a positive response from the company.
>>
>> But *today* the choices are either wait for the updated package or
>> install manually.
>>
>>
>>
> we have the binaries now in a canonical archive and will fix the
> installer package to pull stuff from there. In this way no transitional
> breakage will happen anymore.
>
Can you do that? I know the problem before was that the Adobe licensing
agreement didn't allow redistribution. Did that change?

If you can, then this is clearly the best solution for the time being.

Noel J. Bergman (noeljb) wrote :

Jim,

This is a change. Adobe, itself, will be maintaining the package in the partners repository.

Savvas Radevic (medigeek) wrote :

> Jim,
>
> This is a change. Adobe, itself, will be maintaining the package in the
> partners repository.

When can we expect it to be fully available in the partners repository?

Noel J. Bergman (noeljb) wrote :

> When can we expect it to be fully available in the partners repository?

See http://archive.canonical.com/ubuntu/pool/partner/a/adobe-flashplugin/

Although I don't see Jaunty and/or the x86_64 bit version.

Leon Nardella (leon.nardella) wrote :

I think the 64-bit version is still alpha/beta, isn't it?

Noel J. Bergman (noeljb) wrote :

> the 64-bit version is still alpha/beta, isn't it?

Yes, but that ought to be the default for Jaunty, nonetheless. :-)

FWIW, I find it to be more stable than the nspluginwrapper version. For example, I find the live score centre at SkySports to be far more reliable with the 64 bit alpha than the 32 bit released version.

> to be far more reliable with the 64 bit alpha than the 32 bit released version.

I agree. The 32-bit wrapper version didn't work at all on my 8.10 install. If a movie started at all it would freeze after the first few seconds. After installing the 64-bit version everything has worked perfectly. Hopefully it will be release quality soon so there will be a proper package for it.

Alexander Sack (asac) wrote :

Noel J. Bergman wrote:
>> the 64-bit version is still alpha/beta, isn't it?
>>
>
> Yes, but that ought to be the default for Jaunty, nonetheless. :-)
>
> FWIW, I find it to be more stable than the nspluginwrapper version. For
> example, I find the live score centre at SkySports to be far more
> reliable with the 64 bit alpha than the 32 bit released version.
>
>
try with the latest nspluginwrapper from jaunty should work quiet great.
we will eventually push that to intrepid (just need to fix postinst to
auto-recreate the wrappers).

jaunty will not have the 64-bit version if there is no final release.

Jacob Godserv (fun2program8) wrote :

I'm afraid I'm going to have to re-open this bug, since flashplugin-nonfree is giving me an md5sum error again. I have a feeling that other versions of Ubuntu are going to have the same problem, but I'll let others who actually have those installed confirm those versions.

Changed in flashplugin-nonfree:
status: Fix Released → New

Jacob, please post the output of this command:

apt-cache policy flashplugin-nonfree

Iain (iain-beeston) wrote :

I'm also getting this error, on Hardy netbook remix. The output from the command above is (for me):

flashplugin-nonfree:
  Installed: (none)
  Candidate: 9.0.152.0ubuntu0netbook1
  Version table:
     9.0.152.0ubuntu0netbook1 0
        500 http://netbook-remix.archive.canonical.com hardy-netbook-remix/multiverse Packages
        100 /var/lib/dpkg/status
     9.0.124.0ubuntu2 0
        500 http://netbook-remix.archive.canonical.com hardy/multiverse Packages

Scott Talbert (swt-techie) wrote :

Adobe just released a new version to correct some security issues. New packages will be out soon to update the md5sums. Please see this bug: https://bugs.launchpad.net/bugs/334134.

Jacob Godserv (fun2program8) wrote :

Bug #334134 fixed my problem. Thanks guys!

In the future, would re-opening this bug be the best way to notify you, or should I create a new bug report?

Jacob Godserv (fun2program8) wrote :

Forgot to revert my previous changes. Done now.

Changed in flashplugin-nonfree:
status: New → Fix Released
Akhona (15878325-sun) wrote :

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
when i run 'sudo dpkg --configure -a' it keeps on trying but can't download. my internet is working, i even downloaded the .deb file from adobe but could not install it.

prabhu (prabhuraja5) on 2009-08-18
Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → prabhu (prabhuraja5)
kory (korybauer) on 2009-10-03
Changed in flashplugin-nonfree (Ubuntu Gutsy):
assignee: Brandon Holtsclaw (imbrandon) → nobody
assignee: nobody → kory (korybauer)
John Vivirito (gnomefreak) wrote :

Please do not assign yourself to bugs you dont plan on fixing and closed bugs should never been re-assigned. it looks like you are doing it for karma and it doesnt give you any really

John,

I've not assigned myself any bugs,

Matt

John Vivirito wrote:
> Please do not assign yourself to bugs you dont plan on fixing and closed
> bugs should never been re-assigned. it looks like you are doing it for
> karma and it doesnt give you any really
>

John Vivirito (gnomefreak) wrote :

Changed in flashplugin-nonfree (Ubuntu Gutsy):
assignee: nobody → kory (korybauer)

is what i was refering to

Ryan Ahearn (ryan-c-ahearn) wrote :

If this is still a problem in Baltix, please reopen.

Changed in flashplugin-nonfree (Baltix):
status: New → Incomplete
Changed in flashplugin-nonfree (Ubuntu):
assignee: prabhu (prabhuraja5) → omar199 (mynameisomar199)
mersi (yanyermias) on 2009-11-15
Changed in flashplugin-nonfree (Ubuntu):
assignee: omar199 (mynameisomar199) → mersi (yanyermias)
laofob1 (laofob1) on 2009-12-15
Changed in flashplugin-nonfree (Ubuntu):
assignee: mersi (yanyermias) → laofob1 (laofob1)
jpierre (jailtonpierre) on 2009-12-28
Changed in flashplugin-nonfree (Ubuntu):
assignee: laofob1 (laofob1) → nobody
bby_emkinz (bby-emzii) on 2010-01-29
Changed in flashplugin-nonfree (Baltix):
status: Incomplete → Fix Released
roi30 (guilty--shadow) on 2010-01-31
Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → roi30 (guilty--shadow)
era (era) on 2010-02-01
Changed in flashplugin-nonfree (Ubuntu Gutsy):
assignee: kory (korybauer) → nobody
Changed in flashplugin-nonfree (Ubuntu):
assignee: roi30 (guilty--shadow) → nobody
JHD49er (jhd49er) on 2010-02-22
Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → JHD49er (jhd49er)
Dara Adib (daradib) on 2010-02-22
Changed in flashplugin-nonfree (Ubuntu):
assignee: JHD49er (jhd49er) → nobody
ericscott (ejscomputers) on 2010-04-12
Changed in flashplugin-nonfree (Ubuntu):
status: Fix Released → New
era (era) wrote :

@ericscott: if you genuinely meant to reopen this bug report, please provide more information. Which version are you experiencing this with? I was unable to reproduce the problem with a recent Lucid snapshot; I believe the same result is transferable to Karmic and Jaunty as well.

Changed in flashplugin-nonfree (Ubuntu):
status: New → Fix Released
Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → Arie Kurniawan (kurniawan-arie13)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.